(function ($) {
	$.AJPUSH = function()
	{
		var _this = this;

		this.initJpush = function()
		{
			var ajpush = api.require('ajpush'); //注册
			if (ajpush && typeof(ajpush) != "undefined"){
				ajpush.init(function(ret){
					//alert('注册');
					if(ret && ret.status){
//						alert('极光推送注册:'+ret.status);
						_this._init(ajpush);
					}else{
//						alert(ret.status);
					}
				});
				if (api.systemType == "ios")
				{
					_this._init(ajpush);
				}
			}
		};

		this.bindUid = function()
		{
			var ajpush = api.require('ajpush');
			if (typeof(ajpush) == "undefined") return ;

			var winduid = $api.getStorage("uid");;
//				alert(winduid);
			if(winduid){
				var param = {
					alias: 'u_'+winduid,
					tags: ['u_'+winduid]
				};
				ajpush.bindAliasAndTags(param, function(ret,err) {
//						alert(ret.statusCode);
				});
			}
		}

		this._init = function(ajpush)
		{
			//应用在前台状态会监听
				ajpush.setListener(
					function(ret) {
						var id = ret.id;
						var title = ret.title;
						var content = ret.content;
						var extra = ret.extra;

						if(typeof extra!='object'){ //如果不是对象，把字符串转变成对象
							var extra = JSON.parse(extra);
						}

						extra.title = content;
						//alert('setListener,extra.flag:'+extra.flag+';extra.key:'+extra.key);
						//alert('setListener3');
						_this.doPushUrl(extra);
					}
				);
				api.addEventListener({name:'pause'}, function(ret,err) { //通知极光推送SDK当前应用退入到后台。
						//alert('pause4');
					var ajpush = api.require('ajpush');
					ajpush.onPause();
				});
				api.addEventListener({name:'resume'}, function(ret,err) { //通知极光推送SDK当前应用恢复到前台。
					//alert('pause5');
					var ajpush = api.require('ajpush');
					ajpush.onResume();
				});

				_this.bindUid();

				api.addEventListener({name:'appintent'}, function(ret,err) {
					//alert("appintent"+JSON.stringify(ret));
					//alert(JSON.stringify(err));
//alert('addEventListener_appintent1');
					if(ret && ret.appParam.ajpush){
						var ajpush = ret.appParam.ajpush;
						var id = ajpush.id;
						var title = ajpush.title;
						var content = ajpush.content;
						var extra = ajpush.extra;

						if(typeof extra!='object'){ //如果不是对象，把字符串转变成对象
							var extra = JSON.parse(extra);
						}

                        extra.title = content;
						//alert('appintent,extra.flag:'+extra.flag+';extra.key:'+extra.key);
						_this.doPushUrl(extra);
						return;
					}
//alert('addEventListener_appintent2');
					_this.doPushUrl({flag:ret.appParam.action,key:ret.appParam.key});
				});
				api.addEventListener({name:'noticeclicked'}, function(ret,err) {
					if(ret && ret.value){
                       // alert('noticeclicked'+JSON.stringify(ret));
                        //alert('noticeclickede'+JSON.stringify(err));
						var ajpush = ret.value;
						var title = ajpush.title;
						var content = ajpush.content;
						var extra = ajpush.extra;

						if(typeof extra!='object'){ //如果不是对象，把字符串转变成对象
							var extra = JSON.parse(extra);
						}

						extra.title = content;
						//alert('noticeclicked:extra'+extra+';orderId'+orderId);
						//alert('noticeclicked,extra.flag:'+extra.flag+';extra.key:'+extra.key);
						//alert('noticeclicked8');
						setTimeout(function(){
							_this.doPushUrl(extra);
						},1000);
					}
				});
				ajpush.setBadge({badge:0});
		}

		this.doPushUrl = function(extra){
			//alert('doPushUrl:'+JSON.stringify(extra))
			var key = extra.key;
			if(extra.flag == 'article'){//帖子回复
			  fOpenWin('win_thread',{tid:key,title:extra.title});
			}else if(extra.flag == 'thread'){//帖子详情
				//  fOpenWin('win_thread',{tid:key,title:extra.title});
			}else if(extra.flag == 'question'){//问答详情
				fOpenWin('win_ask_detail',{id:key,title:'问答详情'});
			}else if(extra.flag == 'answer'){//回答列表
				fOpenWin("win_ask_my");
			}else if(extra.flag == 'url'){//外链
				var params = {};
		    params.url = key;
		    if(extra.title){
		      params.title = extra.title;
		    }
				//alert('do url jump:'+key)
				api.openWin({
		        name: 'html',
		        url: 'html.html',
		        // useWKWebView:true,
		        allowEdit: true,
		        pageParam: params,
		    });
					//alert('do url jump===2:'+JSON.stringify(params))
			}else if(extra.flag == 'chat'){//外链
				var r_m = key.split('__')
				if(r_m[0] > 0 && r_m[1] > 0){
					api.closeWin({name: 'win_chat'});
					setTimeout(function() {
			      fOpenWin('win_chat',{rid:r_m[0],mid:r_m[1]});
			    },500)
				}
			}


			// if(extra.flag == 'article'){//帖子详情页
			// 	openThreadHtml(key,extra.title);
			// }else if(extra.flag == 'topic'){
      //     fOpenWin('topic-details',{tid:key, title: extra.title});
      // }else if(extra.flag == 'newtopic'){
			// 		fOpenWin('win_topic_threads_detail',{fid:key,title:extra.title})
			// }else if(extra.flag == 'userhome'){
			// 	fOpenWin("win_user_homepage", {"uid": key});
			// }else if(extra.flag == 'topiclist'){
      //     fOpenWin('topic-list',{fid:key, title: extra.title});
      // }else if(extra.flag== 'notice'){
      //     fOpenWin('ucenter-tips',{});
      // }else if(extra.flag== 'url'){
      //    fOpenWin("html",{url: extra.key, title: extra.title});
      // }else if(extra.flag== 'msg'){
			// 		fOpenWin("ucenter-tips",{});
			// }else if(extra.flag== 'bbs_redpoint'){
			// 	api.sendEvent({
			// 	    name: 'bbs_redpoint',
			// 	    extra: {}
			// 	});
			// }else if(extra.flag== 'topic_redpoint'){
			// 	api.sendEvent({
			// 	    name: 'topic_redpoint',
			// 	    extra: {}
			// 	});
			// }else if(extra.flag== 'msg_redpoint'){
			// 	api.sendEvent({
			// 	    name: 'msg_redpoint',
			// 	    extra: {}
			// 	});
			// }else if(extra.flag== 'notice_redpoint'){
			// 	api.sendEvent({
			// 	    name: 'notice_redpoint',
			// 	    extra: {}
			// 	});
			// }
		};
	}
})(jQuery);
var ajpushObj = new $.AJPUSH();
