var siteUrlConfig = "https://app.191.cn/";
var siteNameConfig = "191农资人";
var desKey = '';
var desIv = '20200331';
var cVersion = 1.0;
var debug = 0; //todotodo
var channleId = ''; //渠道id

API_URL = {
  'getAskTeacherInfo':'ask/getAskTeacherInfo',//老师详情
  'getAskTeacherTop':'ask/getAskTeacherTop',//问答页面   三位推荐老师
  'getAskNumberInfo':'ask/getAskNumberInfo',//问答页面   获取待回答数量   收到回答数量
  'getAskTeacherList':'ask/getAskTeacherList',//问答页面   问答老师列表
  'askDetail':'ask/detail',//问答页面   问答详情
  'askDetailAnswerList':'ask/answerList',//问答页面   问答详情  回复列表
  'answerAdopt':'ask/answerAdopt',//问答页面   回答采纳
  'answerRead':'ask/answerRead',//已读
  'getAskList':'ask/getList',//问答页面  问题列表
  'receiveAnswerList':'ask/receiveAnswerList',//  收到的回答列表
  'getAskTeacherArticleList':'ask/getAskTeacherArticleList',//  获取问答专家老师 文章列表
  'searchAskList':'ask/search',//问答搜索
  'doUserFollow':'UserCenter/doUserFollow',//用户关注老师/其他用户
  'getUserFollowPage':'UserCenter/getUserFollowPage',//用户关注列表
  'getUserFollowMain':'UserCenter/getUserFollowMain',//用户关注首页
  'getUserFollowPublishPage':'UserCenter/getUserFollowPublishPage',//用户关注人动态

  'getCommonUser':'UserCenter/getCommonUser',//获取普通用户信息
  'getUserPublishPage':'UserCenter/getUserPublishPage',//获取普通用户发布信息

  'collectionInfo':'common/collectionInfo',//检查问答收藏状态
  'askDoCollection':'ask/doCollection',//问答收藏
  'threadDoCollection':'home/doCollection',//文章收藏
  'doCollection':'common/doCollection',//收藏
  'h5UploadPic': 'common/uploadImage', //上传图片
  'h5UploadVideo': 'common/uploadVideo', //上传图片
  'publishAsk': 'ask/publish', //发布问题
  'publishAnswer': 'ask/publishAnswer', //发布问题
  'isTeacher':'ask/isTeacher',//是否为老师
  'teacherApplyDetail':'ask/teacherApplyDetail',//申请成为老师信息
  'teacherApply':'ask/doTeacherApply',//申请成为老师
  'doAccountLogin':'login/doAccountLogin',//账号登录
  'sendPhoneCode':'login/sendPhoneCode',//发送手机验证码
  'doBindMobile':'login/doBindMobile',//绑定手机号
  'qqLogin':'login/qqLogin',//qq号登陆
  'qqReg':'login/qqReg',//qq号登陆
  'wxLogin':'login/wxLogin',//微信号登陆
  'wxReg':'login/wxReg',//微信注册
  'getHomeBanner':'home/getHomeBanner',//获取首页banner图
  'getRecommendIntro':'home/getRecommendIntro',//获取推荐标语
  'getRecommendList':'home/getRecommendList',//推荐列表
  'getRecommendDetail':'home/getRecommendDetail',//推荐详情
  'getThreadDetail':'home/getThreadDetail',//帖子详情页
  'doDigThread':'home/doDigThread',//帖子点赞
  'getCommentList':'home/getCommentList',//获取评价列表
  'reply':'home/reply',//回复
  'getTopicThreadList':'home/getTopicThreadList',//获取专题帖子列表
  'getTopicDetail':'home/getTopicDetail',//获取专题详情
  'getCateList':'follows/getCateList',//获取分类列表
  'getThreadList':'follows/getThreadsList',//获取帖子列表
  'userInfo':'UserCenter/getUserInfo',//微信号登陆
  'getMessages':'UserCenter/getMessagePageNew',//我的消息分页
  'clearMessageAllRead':'UserCenter/clearMessageAllRead',//清除未读消息
  'getArticles':'UserCenter/getArticlePage',//我的文章分页
  'chatDetail':'chat/detail',//消息记录列表
  'chatAddMsg':'chat/addMsg',//发新消息
  'chatSendMsg':'chat/sendMsg',//回复消息


  'doLoginout': 'login/loginOut', //退出
  'doSendSuggest': 'UserCenter/sendSuggest', //意见反馈
  'doReadMessage': 'UserCenter/doReadMessageNew', //未读消息变为已读
  'getCollection':'UserCenter/getCollectionPage',//收藏列表页
  'doSearch':'follows/doSearch',//获取帖子列表
  'threadPost':'follows/publish_thread',//获取帖子列表
  'report':'home/report',//举报
  'black':'home/black',//拉黑
}

function getSign(token, timestamp, nonce) {
    var appKey = 'dix89v$i001bx';
    var params = {};
    params['token'] = token;
    params['timestamp'] = timestamp;
    params['nonce'] = nonce;
    aa = ksort(this, params);
    var dataString = '';
    Object.keys(aa).forEach(function(key) {
        dataString += key + '=' + aa[key] + '&';
    });
    dataString += 'key=' + appKey;
    return dataString;
}

function ksort(vm, inputArr, sort_flags) {

    var tmp_arr = {},
        keys = [],
        sorter, i, k, that = vm,
        strictForIn = false,
        populateArr = {};

    switch (sort_flags) {
        case 'SORT_STRING':
            // compare items as strings
            sorter = function(a, b) {
                return that.strnatcmp(a, b);
            };
            break;
        case 'SORT_LOCALE_STRING':
            // compare items as strings, original by the current locale (set with  i18n_loc_set_default() as of PHP6)
            var loc = vm.i18n_loc_get_default();
            sorter = vm.php_js.i18nLocales[loc].sorting;
            break;
        case 'SORT_NUMERIC':
            // compare items numerically
            sorter = function(a, b) {
                return ((a + 0) - (b + 0));
            };
            break;
            // case 'SORT_REGULAR': // compare items normally (don't change types)
        default:
            sorter = function(a, b) {
                var aFloat = parseFloat(a),
                    bFloat = parseFloat(b),
                    aNumeric = aFloat + '' === a,
                    bNumeric = bFloat + '' === b;
                if (aNumeric && bNumeric) {
                    return aFloat > bFloat ? 1 : aFloat < bFloat ? -1 : 0;
                } else if (aNumeric && !bNumeric) {
                    return 1;
                } else if (!aNumeric && bNumeric) {
                    return -1;
                }
                return a > b ? 1 : a < b ? -1 : 0;
            };
            break;
    }

    // Make a list of key names
    for (k in inputArr) {
        if (inputArr.hasOwnProperty(k)) {
            keys.push(k);
        }
    }
    keys.sort(sorter);

    // BEGIN REDUNDANT
    vm.php_js = vm.php_js || {};
    vm.php_js.ini = vm.php_js.ini || {};
    // END REDUNDANT
    strictForIn = vm.php_js.ini['phpjs.strictForIn'] && vm.php_js.ini['phpjs.strictForIn'].local_value && vm.php_js
        .ini['phpjs.strictForIn'].local_value !== 'off';
    populateArr = strictForIn ? inputArr : populateArr;

    // Rebuild array with sorted key names
    for (i = 0; i < keys.length; i++) {
        k = keys[i];
        tmp_arr[k] = inputArr[k];
        if (strictForIn) {
            delete inputArr[k];
        }
    }
    for (i in tmp_arr) {
        if (tmp_arr.hasOwnProperty(i)) {
            populateArr[i] = tmp_arr[i];
        }
    }

    return strictForIn || populateArr;
}

function random(min, max) {
    return Math.floor(Math.random() * (max - min)) + min;
}


function getToken(timestamp, nonce) {
    var appKey = 'dix89v$i001bx';
    var timestamp = Date.now();

    var token = hex_sha1(appKey + "|" + now) + now;

    //alert(token);
    return token;
}

function customLoginFunc(callBack) {
    var params = {};
    var token = $api.getStorage('token');
    //console.log(token);
    if (typeof(token) != 'undefined' && token != '') {
        params.token = token;
        var timestamp = parseInt(new Date().getTime() / 1000);
        var nonce = random(0, 100);
        params.timestamp = timestamp;
        params.nonce = nonce;
        var str = getSign(token, timestamp, nonce);
        var signstr = hex_md5(str);
        params.sign = signstr;
    }
    ajaxRequest(API_URL.customLogin, 'post', params, function(ret, err) {
        if (ret.code == 200) {
            var userinfo = ret.data;
            $api.setStorage('token', userinfo.token);
            $api.setStorage('loginStatus', userinfo.status);
            api.sendEvent({
                name: 'user-login-succ',
                extra: {}
            });
        }
        typeof(callBack) == 'function' && callBack()
            //console.log(JSON.stringify(ret));
            //$api.setStorage('token', user);
    }, 1);
}

//通用请求函数
function ajaxRequest(url, method, bodyParam, callBack,isHidenProgress = true) {
    var appKey = 'ee88f88943ad1beg3abfd3ce7aff10d';
    var now = Date.now(); //now = '145455249300'; //方便调试
    var token = hex_sha1(appKey + "|" + now) + now;

    bodyParam.token = token;
    bodyParam.device_id = api.deviceId;
    bodyParam.system_version = api.version;
    bodyParam.system_type = api.systemType;
    bodyParam.system_version = api.systemVersion;
    bodyParam.device_model = api.deviceModel;
    bodyParam.device_name = api.deviceName;
    bodyParam.app_version = api.appVersion;
    if (method == 'get') {
        var paramStr = $.param(bodyParam);
        url = url + '?' + paramStr;
        bodyParam = '';
    }
    var _sessionId=  $api.getStorage('sessId')?$api.getStorage('sessId'):api.getGlobalData({key:'mid'});;
    var _header={};
    if(_sessionId!=undefined&&_sessionId!=''){
      _header={
          // "Content-type": "application/json;charset=UTF-8",
          "Cookie":'PHPSESSID='+_sessionId,
      }
    }
    api.ajax({
        url: siteUrlConfig + url,
        method: method,
        cache: false,
        headers: _header,
        data: {
            values: bodyParam
        }
    }, function(ret, err) {
        if(isHidenProgress){
          api.hideProgress();
        }
        callBack(ret, err);
    });
}

function ajaxUploadFile (url, method, bodyParam, files, callBack,isGetToken) {
    var appKey = 'ee88f88943ad1beg3abfd3ce7aff10d';
    var now = Date.now(); //now = '145455249300'; //方便调试
    var token = hex_sha1(appKey + "|" + now) + now;
  if ((typeof(bodyParam.token)== 'undefined' || bodyParam.token == '') && isGetToken != 1) {
      bodyParam.token = token;
      var timestamp = parseInt(new Date().getTime() / 1000);
      var nonce = random(0, 100);
      bodyParam.timestamp = timestamp;
      bodyParam.nonce = nonce;
      var str = getSign(token, timestamp, nonce);
      var signstr = hex_md5(str);
      bodyParam.sign = signstr;
  }

  bodyParam.device_id = api.deviceId;
  bodyParam.system_version = api.version;
  bodyParam.system_type = api.systemType;
  bodyParam.system_version = api.systemVersion;
  bodyParam.device_model = api.deviceModel;
  bodyParam.device_name = api.deviceName;
  bodyParam.app_version = api.appVersion;
  api.ajax({
      url: siteUrlConfig + url,
      method: method,
      cache: false,
      timeout: 60,
      data: {
          values: bodyParam,
          files: files
      }
  }, function(ret, err) {
    if (ret.code == 80001) {
        fOpenWin('win_user_login');
    } else if (ret.code == 80006) {
        $api.setStorage('token', '');
        customLoginFunc(function() {
            bodyParam.token = '';
            ajaxRequest(url, method, bodyParam, callBack);
        });
    } else {
        callBack(ret, err);
    }
    api.hideProgress();
  });
}

function fCloseSelf() {
    var frameName = api.frameName;
    if (frameName) {
        api.closeFrame();
    } else {
        api.closeWin();
    }
}

function fCloseWin() {
    api.closeWin();
}

function fOpenWin(name, param) {
    var oParam = {
        name: name,
        url: name + '.html',
        // useWKWebView:true,
        bgColor:'#fff'
    };
    if (name == 'win_user_login') {
        oParam.allowEdit = true;
    }
    if (param) {
        oParam.pageParam = param;
    }
    api.openTabLayout(oParam);
}

function fOpenFrame(name, param){
    var oParam = {
        name: name,
        url: name + '.html',
        // useWKWebView:true,
        bgColor:'#fff'
    };
    if (param) {
        oParam.pageParam = param;
    }
    api.openFrame(oParam);
}

function openHtml(url, title) {
    var params = {};
    params.url = url;
    if(title){
      params.title = title;
    }
    api.openTabLayout({
        name: 'html',
        url: 'html.html',
        // useWKWebView:true,
        allowEdit: true,
        pageParam: params,
    });
}

function openExternallink(id,url, title) {
    api.openWin({
        name: 'html',
        url: 'html.html',
        // useWKWebView:true,
        allowEdit: true,
        pageParam: {
            url: url,
            title: title,
            id:id
        },
    });
}

function openShareBox(title, desc, shareUrl, thumb) {
    api.openFrame({
        name: 'share',
        url: 'share.html',
        // useWKWebView:true,
        rect: {
            x: 0,
            y: 0,
            w: 'auto',
            h: 'auto'
        },
        animation: {
            type: "none",
            subType: "from_bottom",
            duration: 300
        },
        pageParam: {
            title: title,
            desc: desc,
            shareUrl: shareUrl,
            thumb: thumb
        }
    });

}

function openMiniProgram(original_id, path) {
    if (original_id == '') {
        return false;
    }

    var wx = api.require('wxPlus');
    wx.isInstalled(function(ret, err) {
        if (ret.installed) {
            // if (api.systemType == 'ios' && showflag == 0) {
            //     if (!isNaN(parseInt(gid)) && parseInt(gid) > 0) {
            //         openShopGoddsDetail(gid);
            //     }
            //     return;
            // }

            wx.launchMiniProgram({
                miniProgramType: 'release',
                userName: original_id,
                path: path,
            }, function(ret, err) {
                if (ret.status) {
                    //alert('成功');
                } else {
                    //alert(JSON.stringify(ret))
                    //alert(err.code);
                }
            });
        } else {
            if (api.systemType == 'android') {
                apialert('当前设备未安装微信客户端,请先安装');
            } else if (api.systemType == 'ios') {

            }
            return;
            //showTipMsg('');
        }
    });
}


function showTipMsg(message) {
    api.toast({
        msg: message,
        location: 'middle'
    });
}

function apialert(_msg, callback) {
    api.alert({
        title: '提示',
        msg: _msg,
    }, function(ret, err) {
        if (typeof callback === "function") {
            callback();
        }
    });
}

function wxshare(param) {
    api.openFrame({
        name: 'share',
        url: 'share.html',
        // useWKWebView:true,
        pageParam: param,
        rect: {
            x: 0,
            y: 0,
            w: 'auto',
            h: 'auto'
        },
        bounces: true,
    });
};
//中文截取
function mb_subString(str, len, hasDot) {
    var newLength = 0;
    var newStr = "";
    var chineseRegex = /[^\x00-\xff]/g;
    var singleChar = "";
    var strLength = str.replace(chineseRegex, "**").length;
    for (var i = 0; i < strLength; i++) {
        singleChar = str.charAt(i).toString();
        if (singleChar.match(chineseRegex) != null) {
            newLength += 2;
        } else {
            newLength++;
        }
        if (newLength > len) {
            break;
        }
        newStr += singleChar;
    }

    if (hasDot && strLength > len) {
        newStr += "...";
    }
    return newStr;
}
//打开某个权限
function opWithPermission(perm) {
    if (!confirmPer(perm)) {
        return;
    }
    if ('calendar' == perm) {} else if ('camera' == perm) {} else if ('contacts' == perm) {} else if ('location' == perm) {} else if ('microphone' == perm) {} else if ('phone' == perm) {} else if ('sensor' == perm) {} else if ('sms' == perm) {} else if ('storage' == perm) {}
}
//确认权限是否开启
function confirmPer(perm) {
    var has = hasPermission(perm);
    if (!has || !has[0] || !has[0].granted) {
        var permname = '';
        if (perm == 'camera') {
            permname = '相机';
        } else if (perm == 'storage') {
            permname = '存储';
        }
        api.confirm({
            title: '提醒',
            msg: '没有获得 ' + permname + " 权限\n是否前往设置？",
            buttons: ['去设置', '取消']
        }, function(ret, err) {
            if (1 == ret.buttonIndex) {
                reqPermission(perm);
            }
        });
        return false;
    }
    return true;
}
//检查是否存在某个权限
function hasPermission(one_per) {
    var perms = new Array();
    if (one_per) {
        perms.push(one_per);
    }
    var rets = api.hasPermission({
        list: perms
    });
    return rets;
}

//请求权限设置
function reqPermission(one_per, callback) {
    var perms = new Array();
    if (one_per) {
        perms.push(one_per);
    }
    api.requestPermission({
        list: perms,
        code: 100001
    }, function(ret, err) {
        var list = ret.list;
        for (var i in list) {
            if (list[i].name == 'camera' && list[i].granted == true) {
                apialert("相机权限设置成功！");
                return;
            }
            if (list[i].name == 'storage' && list[i].granted == true) {
                apialert("存储权限设置成功！");
                return;
            }

        }
    });
}

//字节转化单位
function changeSize(limit) {
    var size = "";
    if (limit < 0.1 * 1024) { //小于0.1KB，则转化成B         size = limit.toFixed(2) + "B"
    } else if (limit < 0.1 * 1024 * 1024) { //小于0.1MB，则转化成KB
        size = (limit / 1024).toFixed(2) + "KB"
    } else if (limit < 0.1 * 1024 * 1024 * 1024) { //小于0.1GB，则转化成MB
        size = (limit / (1024 * 1024)).toFixed(2) + "MB"
    } else { //其他转化成GB
        size = (limit / (1024 * 1024 * 1024)).toFixed(2) + "GB"
    }
    var sizeStr = size + ""; //转成字符串
    var index = sizeStr.indexOf("."); //获取小数点处的索引
    var dou = sizeStr.substr(index + 1, 2) //获取小数点后两位的值
    if (dou == "00") { //判断后两位是否为00，如果是则删除00
        return sizeStr.substring(0, index) + sizeStr.substr(index + 3, 2)
    }
    return size;
}

//TODO 首页轮播图点击 1.内部文章 帖子 2.外链 3.专家个人详情页 4.问答详情页
function tapHomeUIScroll(id,type,title,path){
  if(type == 1){//TODO 内部文章 帖子
    //openThread(path,title);
    fOpenWin('win_post',{recommendId:path,title:title})
  }else if (type == 2) {//TODO 外链
    openHtml(path,title);
  }else if (type == 3) {//TODO 专家个人详情页
  fOpenWin('win_ask_teacher',{id:path})
  }else if (type == 4) {//TODO 问答详情页
    fOpenWin('win_ask_detail',{id:path,title:title});
  }else if (type == 5) {//TODO 推荐集合
    fOpenWin('win_topic',{id:path,title:title});
  }
}
//data_type 跳转类型   1   图文   2 视频    3 外链 4 专题 ,'{{= it[prop].original_username}}','{{= it[prop].autor_uid}}'
// function doHomeOpen(data_type,data_contect,data_origin_id,title,recommend_uid,original_username,autor_uid,id){
//   if(data_type == 1){
//      fOpenWin('win_post',{tid:data_origin_id,title:title,recommend_uid:recommend_uid,original_username:original_username,autor_uid:autor_uid})
//   }else if (data_type == 2 || data_type == 3) {
//     openHtml(data_contect,title);
//   }else if(data_type == 4) {
//     fOpenWin('win_topic',{id:id,title:title});
//   }
// }

function doHomeOpen(data_type,data_id,data_contect,title){
  if(data_type == 1){
     fOpenWin('win_post',{recommendId:data_id,title:title})
  }else if (data_type == 2 || data_type == 3) {
    openHtml(data_contect,title);
  }else if(data_type == 4) {
    fOpenWin('win_topic',{id:data_id,title:title});
  }else if(data_type == 5) {
    fOpenWin('win_ask_detail',{id:data_contect,title:title})
  }
}


function checkLogin(){
  var _sessId=$api.getStorage('sessId')
  return _sessId!=undefined&&_sessId!=''
}

//图片放大
function photoBrowser(imglist, index) {
    var photoBrowser = api.require('photoBrowser');
    var tmpList = [];
    for(var prop in imglist){
      tmpList.push(imglist[prop].replace('http://','https://'))
    }
    console.log(JSON.stringify(tmpList));
    photoBrowser.open({
        images: imglist,
        bgColor: '#000',
        activeIndex: index
    }, function(ret, err) {
        if (ret) {
            if (ret.eventType == 'click') {
                photoBrowser.close();
            } else if (ret.eventType == 'longPress') {
                photoBrowser.getIndex(function(ret, err) {
                    if (ret) {
                        photoBrowser.getImage({
                            index: ret.index
                        }, function(ret, err) {
                            if (ret) {
                                api.saveMediaToAlbum({
                                    path: ret.path
                                }, function(ret, err) {
                                    if (ret.status) {
                                        api.toast({
                                            msg: "图片保存成功",
                                            duration: 2000,
                                            location: 'middle'
                                        });
                                    }
                                });
                            }
                        });
                    }
                });
            }
        } else {}
    });
}

function removeNonBmpUnicode(str){
  if (str == null) {
       return null;
   }
   str = str.replace("[^\\u0000-\\uFFFF]", "");
  return str;
}

function doClipBoard(){
  //alert('do cpoy')
  var clipBoard = api.require('clipBoard');
  clipBoard.get(function(ret, err) {
      if (ret['value']) {
        var str=ret['value']
        if(str.indexOf("191nongziren_thread_") >= 0)
        var threadId=str.replace('191nongziren_thread_','');
        if($.isNumeric(threadId)){
          clipBoard.set({value: ''});
          fOpenWin('win_thread',{tid:threadId,title:'文章详情'});
        }
        if(str.indexOf("191nongziren_ask_") >= 0){
          var aid=str.replace('191nongziren_ask_','');
          var tarr = aid.split("_||_");
          clipBoard.set({value: ''});
          fOpenWin('win_ask_detail',{id:tarr[0],title:tarr[1]})
        }
      }
  });
}

function jumpUserDetail(user_id,teacher_id){
  if(teacher_id>0){
    fOpenWin('win_ask_teacher',{id:teacher_id})
  }else{
    fOpenWin('win_common_user',{id:user_id})
  }
}
