(function ($) {    
	$.EDITOR = function()
	{
		var _this = this;
		var el;
		var lastEditRange;
		
		this.init = function(el)
		{
			_this.el = el;
			// 编辑框点击事件
			el.click(function() {
				// 获取选定对象
				var selection = getSelection()
				// 设置最后光标对象
				_this.lastEditRange = selection.getRangeAt(0)
			});
			el.keyup(function() {
				// 获取选定对象
				var selection = getSelection()
				// 设置最后光标对象
				_this.lastEditRange = selection.getRangeAt(0)
			});
		};

		this.getHTML = function(html)
		{
			html = _this.el.html();
			return html;
		};
		
		this.setHTML = function(html)
		{
			_this.el.html(html);
			
			_this.el.find("img").unbind("click").bind("click",function()
			{ 
				var el = $(this);
				api.actionSheet({
				    buttons: ['删除'],
				    cancelTitle: '取消'
				}, function(ret, err){
				    var index = ret.buttonIndex;
				    if(index==1)
				    {
				    	el.remove();
				    }
                });
			});
		};
		this.focus=function(){
            _this.el.focus();
        };
		this.insertImg = function(src)
		{
			_this.el.focus();
			var selection = getSelection()
			// 判断是否有最后光标对象存在
			if (_this.lastEditRange) {
				// 存在最后光标对象，选定对象清除所有光标并添加最后光标还原之前的状态
				selection.removeAllRanges()
				selection.addRange(_this.lastEditRange)
			}
			document.execCommand('insertImage',false,src);
		
			_this.el.find("img").unbind("click").bind("click",function()
			{ 
				var el = $(this);
				api.actionSheet({
				    buttons: ['删除'],
				    cancelTitle: '取消'
				}, function(ret, err){
				    var index = ret.buttonIndex;
				    if(index==1)
				    {
				    	el.remove();
				    }
                });
			});
		};
		
		
		
		
	}
})(jQuery);
var editorObj = new $.EDITOR();