var _noMore = 0,page=1,tabIndex=0,navButtonTop=0,hasFixed=false;
apiready = function() {
    api.parseTapmode();
    var header = $api.dom('header'); // 获取 header 标签元素
    var headerH = $api.fixStatusBar(header);
    render();
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉
    api.addEventListener({
        name: 'post-ask-succ'
    }, function(ret, err){
        render();
    });

    api.addEventListener({
        name: 'reload-ask-number'
    }, function(ret, err){
        getAskNumber();
    });

    api.addEventListener({
        name: 'list-data-reload'
    }, function(ret, err){
        getAskNumber();
    });



}

function render() {
    page = 1;
    _noMore = 0
    // getAskTeacherTop();
    getAskNumber();
    getAskList();
}

function getAskList(){
  if(_noMore)return false;
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var params = {};
  params.page = page;
  params.sortType = tabIndex;
  ajaxRequest(API_URL.getAskList, 'post', params, function(ret, err) {
    if(ret.status == 0){

      var dataList = ret.data.rows;
      if(page >= ret.data.pageCount){
        _noMore = 1;
        $api.removeCls($api.byId("L_bottom"), 'aui-hidden');
      }else{
        if(!$api.hasCls($api.byId("L_bottom"), 'aui-hidden')){
          $api.addCls($api.byId("L_bottom"), 'aui-hidden');
        }
      }
      askTeacherListCallback(dataList);
    }else{
      showTipMsg(ret.msg);
    }
  });

}

function askTeacherListCallback(data){
  var content = $api.byId('ask-list');
  var tpl = $api.byId('ask-list-template').text;
  var tempFn = doT.template(tpl);
  if (page == 1) {
      $api.html(content, "");
      $api.html(content, tempFn(data));
  } else {
      $api.append(content, tempFn(data));
  }
}

function getAskNumber(){
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });

  var params = {};

  ajaxRequest(API_URL.getAskNumberInfo, 'post', params, function(ret, err) {
    if(ret.data.wait_answer > 0){
      if(ret.data.wait_answer > 99){
        $api.html($api.byId("ask-wait-answer"), '99+');
      }else{
        $api.html($api.byId("ask-wait-answer"), ret.data.wait_answer);
      }
      $api.removeCls($api.byId("ask-wait-answer"), 'aui-hidden');
    }else{
      $api.addCls($api.byId("ask-wait-answer"), 'aui-hidden');
    }
    if(ret.data.my_ask > 0){
      $api.removeCls($api.byId("ask-my-ask"), 'aui-hidden');
    }else{
      $api.addCls($api.byId("ask-my-ask"), 'aui-hidden');
    }
  });
}

function getAskTeacherTop() {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
      title: '加载中',
        modal: false
    });

    var params = {};

    ajaxRequest(API_URL.getAskTeacherTop, 'post', params, function(ret, err) {
      teacherCallback(ret.data);
    });

}

function teacherCallback(data){
  var content = $api.byId('ask-teacher');
  var tpl = $api.byId('ask-teacher-template').text;
  var tempFn = doT.template(tpl);
  $api.html(content,tempFn(data));
}

function selectTab(obj){
  if(!$api.hasCls(obj,'aui-active')){
    $api.removeCls($api.dom($api.byId("tab1"),"div.aui-active"), 'aui-active');
    $api.addCls(obj, 'aui-active');
    tabIndex = $api.attr(obj, 'data-index');
    _noMore = 0;
    page = 1;
    getAskList();
  }
}

function setRefreshHeader(){
  api.setRefreshHeaderInfo({
      visible: true,
      bgColor: '#f5f5f5',
      textColor: '#999',
      textDown: '下拉刷新...',
      textUp: '松开刷新...',
      showTime: true
  }, function(ret, err) {
      render();
      api.refreshHeaderLoadDone();
  });
}

function setScrollBottom(){
  api.addEventListener({
      name: 'scrolltobottom'
  }, function(ret, err) {
      if(!_noMore){
        page++;
        getAskList();
      }else{
        return false;
      }
  });
}

$(function() {
  setInterval("doNavFixed()",100);
});

function doNavFixed(){
  if(navButtonTop == 0){
    navButtonTop = $("#nav-button").offset().top
  }
  if($(window).scrollTop() > navButtonTop){
    if(!hasFixed){
      $("#nav-button").addClass("fixed")
      hasFixed=true;
    }
    
  }else{
    if(hasFixed){
      $("#nav-button").removeClass("fixed")
      hasFixed=false;
    }
  }
}
