var headerPos;
apiready = function() {
    api.parseTapmode();
    headerPos = api.pageParam.headerPos;
}

function doSubmit(){
   if($api.hasCls($api.byId('loginBtn'),'aui-disabled')){
     return ;
   }
   api.showProgress({title: '正在登录',modal: false});
   var username = $api.trimAll($api.val($api.byId('username')));
   var password = $api.trimAll($api.val($api.byId('password')));
   if(username.length == 0){
     showTipMsg("请输入用户名");
     return false;
   }

   if(password.length == 0){
     showTipMsg("请输入密码");
     return false;
   }

   var params = {username: username,password: password}; //password: hex_md5(password),

   ajaxRequest(API_URL.doAccountLogin, 'post', params, function(ret, err) {
       if(ret.status == 0){
          var data = ret.data;
          var uid = data.uid;
          var username = data.username;
          var telFlag = data.telFlag;
          if(telFlag == 1){
            $api.setStorage('uid', uid);
            $api.setStorage('username', username);
            $api.setStorage('sessId', data.sessId);



            try {
                 var ajpush = api.require('ajpush'); //注册
                 var param = {
                     alias: 'u_' + uid,
                     tags: ['u_' + uid]
                 };
                 ajpush.bindAliasAndTags(param, function(ret) {
                 });
             } catch (e) {}
             showTipMsg("登录成功");
             var jsfun = 'doclose();';
             api.execScript({name: 'login',script: jsfun});
            //  window.setTimeout(function(){
             //
            //    var jsfun = 'doclose();';
            //    api.execScript({name: 'win_account_login',script: jsfun});
            //  },800);
            setTimeout(function(){
                api.sendEvent({
                    name: 'user-login-succ'
                });
                api.closeWin();
              },300)
          }else{
               //TODO 打开补充手机号码界面
                 var jsfun = 'setTitle(\'绑定手机号\');';
                 api.execScript({name: 'win_account_login',script: jsfun});
                 api.openFrame({
                     name: 'frm_bind_phone',
                     url: 'frm_bind_phone.html',
                     pageParam: { uid: uid},
                     rect: {
                         x: 0,
                         y: headerPos.h,
                         w: 'auto',
                         h: 'auto'
                     },
                     bounces: false,
                     vScrollBarEnabled: false
                 });
          }
       }else{
         api.toast({msg: ret.msg,location: 'middle'});
       }
   });
}


function checkBtn(){
  var username = $api.trimAll($api.val($api.byId('username')));
  var password = $api.trimAll($api.val($api.byId('password')));
  if(username.length>0 && password.length>0){
    if($api.hasCls($api.byId('loginBtn'),'aui-disabled')){
       $api.removeCls($api.byId('loginBtn'),'aui-disabled');
    }
  }else{
    if(!$api.hasCls($api.byId('loginBtn'),'aui-disabled')){
       $api.addCls($api.byId('loginBtn'),'aui-disabled');
    }
  }
}
