var page = 1,_noMore = 0,flag=0;
apiready = function() {
  api.parseTapmode();
  flag = api.pageParam.flag ? api.pageParam.flag:0;
  render();
  setRefreshHeader(); //顶部拉
  setScrollBottom(); //底部拉
}

function render(){
  _noMore = 0;
  page = 1;
  getAskTeacherList();
  isTeacher();
}

function setRefreshHeader(){
  api.setRefreshHeaderInfo({
      visible: true,
      bgColor: '#f5f5f5',
      textColor: '#999',
      textDown: '下拉刷新...',
      textUp: '松开刷新...',
      showTime: true
  }, function(ret, err) {
      render();
      api.refreshHeaderLoadDone();
  });
}

function setScrollBottom(){
  api.addEventListener({
      name: 'scrolltobottom'
  }, function(ret, err) {
      if(!_noMore){
        page++;
        getAskTeacherList();
      }
  });
}


function getAskTeacherList(){
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var params = {};
  params.page = page;
  ajaxRequest(API_URL.getAskTeacherList, 'post', params, function(ret, err) {
      if (ret.status == 0) {
          var dataList = ret.data.rows;
          if(page >= ret.data.pageCount){
            _noMore = 1;
            $api.removeCls($api.byId("L_bottom"), 'aui-hidden');
          }else{
            if(!$api.hasCls($api.byId("L_bottom"), 'aui-hidden')){
              $api.addCls($api.byId("L_bottom"), 'aui-hidden');
            }
          }
          // var content = $api.byId('goods-category');
          // var tpl = $api.byId('goods-category-template').text;
          // var tempFn = doT.template(tpl);
          // $api.html(content, tempFn(category));

          askTeacherListCallback(dataList);
      } else {
          showTipMsg(ret.msg);
      }
  });
}

function askTeacherListCallback(data){
  var content = $api.byId('teacher-list');
  var tpl = $api.byId('teacher-list-template').text;
  var tempFn = doT.template(tpl);
  if (page == 1) {
      $api.html(content, "");
      $api.html(content, tempFn(data));
  } else {
      $api.append(content, tempFn(data));
  }
}

function selectTeacher(tid){
  if(flag){
    api.sendEvent({
        name: 'select-teacher',
        extra: {
            'tid': tid,
        }
    });
    fCloseWin();
  }else{
    fOpenWin('win_ask_teacher',{id:tid})
  }
}

function isTeacher(){
  var params = {};
  ajaxRequest(API_URL.isTeacher, 'post', params, function(ret, err) {
    if(ret.data.is_teacher){
      $(".fixbtn").hide();
    }else{
      $(".fixbtn").show();
    }
  });
}
