var page=0,_noMore=0;
apiready = function() {
    api.parseTapmode();
    var header = $api.dom('header'); // 获取 header 标签元素
    var headerH = $api.fixStatusBar(header);


    api.addEventListener({
        name: 'list-data-reload'
    }, function(ret, err){
        getMyAskAnswerNum();
    });

    api.addEventListener({
        name: 'user-login-succ'
    }, function(ret, err){
        render();
    });


    // getAskTeacherInfo();
    render();
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉
}

function render(){
  getMyAskAnswerNum();
  _noMore = 0;
  page = 1;
  getAskList();
}

function getMyAskAnswerNum(){
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var params = {};
  ajaxRequest(API_URL.getAskNumberInfo, 'post', params, function(ret, err) {
      if (ret.status == 0) {
          // _detail = ret.data;
          tipsCallback(ret.data);
          // fixCallback(_detail);
      } else {
          showTipMsg(ret.msg);
      }
  });
}

function tipsCallback(data){
  var content = $api.byId('tips-1');
  var tpl = $api.byId('tips-1-template').text;
  var tempFn = doT.template(tpl);
  $api.html(content, tempFn(data));
}

function closeTips(){

  var params = {};
  ajaxRequest(API_URL.answerRead, 'post', params, function(ret, err) {
    api.sendEvent({
        name: 'list-data-reload',
    });
  });
  $api.addCls($api.byId('tips-1'), 'aui-hidden');

}

function setRefreshHeader(){
  api.setRefreshHeaderInfo({
      visible: true,
      bgColor: '#f5f5f5',
      textColor: '#999',
      textDown: '下拉刷新...',
      textUp: '松开刷新...',
      showTime: true
  }, function(ret, err) {
      render();
      api.refreshHeaderLoadDone();
  });
}

function setScrollBottom(){
  api.addEventListener({
      name: 'scrolltobottom'
  }, function(ret, err) {
      if(!_noMore){
        page++;
        getAskList();
      }else{
        return false;
      }
  });
}

function getAskList(){
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var params = {};
  params.page = page;
  params.isMy = 1;
  ajaxRequest(API_URL.getAskList, 'post', params, function(ret, err) {
      if (ret.status == 0) {
          // _detail = ret.data;
          var dataList = ret.data.rows;
          if(page >= ret.data.pageCount){
            _noMore = 1;
            if(page > 1 || dataList.length > 0){
              $api.removeCls($api.byId("L_bottom"), 'aui-hidden');
            }
            if(page == 1 && dataList.length == 0){
              $api.removeCls($api.byId("no_list"), 'aui-hidden');
            }
          }else{
            if(!$api.hasCls($api.byId("L_bottom"), 'aui-hidden')){
              $api.addCls($api.byId("L_bottom"), 'aui-hidden');
            }
          }
          askListCallback(dataList);
      }else if(ret.status == -1){
          showTipMsg(ret.msg);
          setTimeout(function(){fOpenWin('login');},500)
      } else {
          showTipMsg(ret.msg);
      }
  });

}

function askListCallback(data){
  var content = $api.byId('ask-item');
  var tpl = $api.byId('ask-item-template').text;
  var tempFn = doT.template(tpl);
  if (page == 1) {
      $api.html(content, "");
      $api.html(content, tempFn(data));
  } else {
      $api.append(content, tempFn(data));
  }
}

function fixCallback(data){
  var content = $api.byId('fixbtn');
  var tpl = $api.byId('fixbtn-template').text;
  var tempFn = doT.template(tpl);
  $api.html(content, tempFn(data));
}
