var teacher_id = 0;
var myVar = null,
    zySmallVideo = null;
var aid = '';
var isLoading = false,UIAlbumBrowser='',imageFilter='',videoCompression,zySmallVideo;
apiready = function() {
    api.parseTapmode();
    var header = $api.dom('header'); // 获取 header 标签元素
    var headerH = $api.fixStatusBar(header);
    var content = $api.getStorage('question_content');
    UIAlbumBrowser = api.require('UIAlbumBrowser');
    imageFilter = api.require("imageFilter");
    teacher_id = api.pageParam.tid;
    if (typeof content != 'undefined' && content != '') {
        content = content.replace(/<br\/>/g, "\n");
        $api.val($api.byId('content'), content);
    }
    myVar = setInterval("saveText()", 10000);
    zySmallVideo = api.require('zySmallVideo');
    videoCompression = api.require("videoCompression");
    // api.addEventListener({
    //     name: 'select-teacher'
    // }, function(ret, err) {
    //     if (ret.value.tid > 0) {
    //         teacher_id = ret.value.tid;
    //         getAskTeacherInfo();
    //     }
    // });

    // getAskTeacherInfo();
}

function getAskTeacherInfo() {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '加载中',
        modal: false
    });
    var params = {};
    params.tid = teacher_id;
    ajaxRequest(API_URL.getAskTeacherInfo, 'post', params, function(ret, err) {
        if (ret.status == 0) {
            askTeacherInfoCallback(ret.data);
        } else {
            showTipMsg(ret.msg);
        }
    });
}

function askTeacherInfoCallback(data) {
    var content = $api.byId('teacher-info');
    var tpl = $api.byId('teacher-info-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content, tempFn(data));
}

function saveText() {
    var content = $api.val($api.byId('content'));
    content = content.replace(/\n/g, "<br/>");
    content = $api.trimAll(content);
    if (content != '') {
        $api.setStorage('question_content', content);
    }
}


function openRichText() {
    var content = $api.html($api.byId('content'));
    content = $api.trimAll(content);
    var richText = api.require('richText');
    if (content == '谈谈具体什么问题吧...') {
        content = '';
    }
    richText.openTextEditor({
        title: '我要问',
        html: content,
        placeholder: "谈谈具体什么问题吧？"
    }, function(ret, err) {
        if (ret.status) {
            $api.html($api.byId('content'), ret.data);
        }
        //alert(JSON.stringify(ret) + " " + JSON.stringify(err));
    });
}

$('.J_h5upload').on("click", function() {
    var objid = $(this).attr('id');
    if ($('.img_list').length >= 9) {
        api.alert({
            title: '温馨提示',
            msg: '一次最多可以上传9张图片',
        }, function(ret, err) {});
        return false;
    }
    if ($('.video_list').length >= 1) {
        api.alert({
            title: '温馨提示',
            msg: '一次最多可以上传1个视频',
        }, function(ret, err) {});
        return false;
    }
    api.actionSheet({
        buttons: ['上传图片', '选择视频', '拍摄视频']
    }, function(ret, err) {
        if (ret.buttonIndex == 1) {
            getAlbumBrowser();
            // getCamera(objid);
        } else if (ret.buttonIndex == 2) {
            getVideo();
        } else if (ret.buttonIndex == 3) {
            getCameraVideo();
        } else {}
    });
});

function getVideo(parsents) {
    api.requestPermission({
        list: ['camera', 'storage']
    }, function(ret, err) {
        UIAlbumBrowser.open({
            max: 1,
            type: 'video',
            styles: {
                bg: '#FFFFFF',
                mark: {
                    unSelectedIcon: 'widget://image/icon/select-default.png',
                    icon: 'widget://image/icon/select.png',
                    position: 'bottom_left',
                    size: 20
                },
                nav: {
                    bg: '#222',
                    cancelColor: '#fff',
                    cancelSize: 16,
                    nextStepColor: '#fff',
                    nextStepSize: 16
                }
            },
            videoTimeFilter: 15,
        }, function(ret) {
            console.log(JSON.stringify(ret));
            if (ret.eventType == 'confirm') {

                var rList = ret.list;
                console.log(JSON.stringify(rList));
                
                if (rList.length > 0) {
                    for (var prop in rList) {
                        doCompressVideo(rList[prop].path,parsents);
                    }
                }
            }
            // else if(ret.eventType == "" || ret.eventType == undefined || ret.eventType == 'undefined'){
            //   if(ret.originalPath.length > 0){
            //     if (api.systemType == "ios") {
            //       compressImg(ret.assetPath);
            //     }else{
            //       compressImg(ret.originalPath);
            //     }
            //   }
            // }
        });
    })
}

function doCompressVideo(video_path,parsents) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '视频压缩中',
        text: '请稍后',
        modal: false
    });
    // videoCount = 0;
    // videoTimer = setInterval(function() {
    //     videoCount++;
    //     $(".video-compression .time").html('用时:' + videoCount + '秒&nbsp&nbsp&nbsp&nbsp')
    // }, 1000)
    // $(".video-compression").show();
    if (api.systemType == "ios") {
        UIAlbumBrowser.transVideoPath({
            path: video_path
        }, function(res, err) {
            videoCompression.compression({
                path: res.albumVideoPath,
                quality: 'high'
            }, function(ret, err) {
                if (ret.eventType == 'exporting') {
                    // $(".video-compression .msg").html('处理中:' + parseInt(ret.progress * 100) / 100 + '%')
                    // console.log(JSON.stringify(ret));
                } else {
                    if (ret.eventType == 'completed') {
                        // $(".video-compression .msg").html('正在上传...')
                        var filePath = ret.path; //视频压缩后本地路径
                        var fileName = video_path.substring(video_path.lastIndexOf('/') + 1);
                        var fileType = 'mp4';
                        var fileSize = '500';
                        h5uploadOneVideo(parsents, filePath, fileName, fileType, fileSize);
                    }
                }
                // if (ret) {
                //     //压缩成功
                //     var filePath = ret.path; //视频压缩后本地路径
                //     var fileName = video_path.substring(video_path.lastIndexOf('/') + 1);
                //     var fileType = 'mp4';
                //     var fileSize = '500';
                //     h5uploadOneVideo('', filePath, fileName, fileType, fileSize);
                // } else {
                //     //压缩失败
                //     alert('压缩失败请重试');
                // }
            });
        })
    } else {
        videoCompression.compression({
            path: video_path,
            quality: 'low'
        }, function(ret, err) {
            if (ret.eventType == 'exporting') {

                // $(".video-compression .msg").html('处理中:' + parseInt(ret.progress * 100) / 100 + '%')
                // console.log(JSON.stringify(ret));
            } else {
                if (ret.eventType == 'completed') {
                    // $(".video-compression .msg").html('正在上传...')
                    var filePath = ret.path; //视频压缩后本地路径
                    var fileName = video_path.substring(video_path.lastIndexOf('/') + 1);
                    var fileType = 'mp4';
                    var fileSize = '500';
                    h5uploadOneVideo(parsents, filePath, fileName, fileType, fileSize);
                }
            }
            // if (ret) {
            //     //压缩成功
            //     var filePath = ret.path; //视频压缩后本地路径
            //     var fileName = video_path.substring(video_path.lastIndexOf('/') + 1);
            //     var fileType = 'mp4';
            //     var fileSize = '500';
            //     h5uploadOneVideo('', filePath, fileName, fileType, fileSize);
            // } else {
            //     //压缩失败
            //     alert('压缩失败请重试');
            // }
        });
    }
}

function getAlbumBrowser() {
    var maxImgNum = 9;
    api.requestPermission({
        list: ['camera', 'storage']
    }, function(ret, err) {
        UIAlbumBrowser.imagePicker({
            max: maxImgNum - $('.img_list').length,
            styles: {
                bg: '#fff',
                cameraImg:'widget://image/camera.png',
                mark: {
                    icon: '',
                    position: 'bottom_left',
                    size: 20
                },
                nav: {
                    bg: '#222',
                    cancelColor: '#fff',
                    cancelSize: 16,
                    nextStepColor: '#fff',
                    nextStepSize: 16
                }
            },
            animation: true,
        }, function(ret) {
            if (ret.eventType == 'nextStep') {
                UIAlbumBrowser.closePicker();

                var rList = ret.list;
                if (rList.length > 0) {
                    for (var prop in rList) {
                        compressImg(rList[prop].path);
                    }
                }
            }else if(ret.eventType == "" || ret.eventType == undefined || ret.eventType == 'undefined'){
            if(ret.originalPath.length > 0){
                if (api.systemType == "ios") {
                compressImg(ret.assetPath);
                }else{
                compressImg(ret.originalPath);
                }
            }
            }
        });
    })
}

function compressImg(img_path) {
    var filename = Math.random() + '.jpg';
    var target_w = 800;
    var file_size = 0;
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '加载中',
        modal: false
    });
    if (api.systemType == "ios") {
        UIAlbumBrowser.transPath({
            path: img_path
        }, function(res, err) {
            imageFilter.getAttr({
                path: res.path
            }, function(ret, err) {
                if (ret.status) {
                    if (ret.width < target_w) {
                        target_w = ret.width;
                    }
                    var original_w = ret.width;
                    var original_h = ret.height;
                    var scale = original_w / target_w;
                    var target_h = Math.round(original_h / scale);
                    var original_size = ret.size;
                    imageFilter.compress({
                        img: res.path,
                        quality: 0.2,
                        size: {
                            w: target_w,
                            h: target_h
                        },
                        save: {
                            album: false,
                            imgPath: api.cacheDir + '/upload/',
                            imgName: filename
                        }
                    }, function(ret, err) {
                        if (ret.status) {
                            transH5uploadOne(api.cacheDir + '/upload/' + filename, 'jpg', '500')
                        }
                    });
                }
            })
        })
    } else {
      UIAlbumBrowser.getImgInfo({
          imagePath: img_path
      }, function(ret, err) {
          if (ret.status) {
              if (ret.width < target_w) {
                  target_w = ret.width;
              }
              var original_w = ret.info.width;
              var original_h = ret.info.height;
              var scale = original_w / target_w;
              var target_h = Math.round(original_h / scale);
              // var original_size = ret.info.size;
              if(ret.info.orientation == 6 || ret.info.orientation == 8){
                var imageTmp = target_w;
                target_w = target_h;
                target_h = imageTmp
              }
              imageFilter.compress({
                  img: img_path,
                  quality: 1,
                  size: {
                      w:  target_w,
                      h:  target_h,
                  },
                  save: {
                      album: false,
                      imgPath: api.cacheDir + '/upload/',
                      imgName: filename
                  }
              }, function(ret, err) {
                  if (ret.status) {
                      transH5uploadOne(api.cacheDir + '/upload/' + filename, 'jpg', '500')
                  }
              });
          }
      })
    }



}



function transH5uploadOne(filePath, fileType, fileSize) {
    var trans = api.require('trans');
    var Base64Data = '';
    trans.decodeImgToBase64({
        imgPath: filePath
    }, function(tret, terr) {
        if (tret.status) {
            Base64Data = "data:image/png;base64," + tret.base64Str;
            var connectionType = api.connectionType;
            if (connectionType == 'none') {
                showTipMsg('啊噢，网络故障~');
            }


            var params = {};
            // var file = results.origin;
            params.fileSize_image = fileSize;
            params.fileType_image = fileType;
            params.fileData_image = Base64Data;
            params.op = 'article';
            ajaxRequest(API_URL.h5UploadPic, 'post', params, function(ret, err) {
                console.log(JSON.stringify(ret))
                if (ret.status == 0) {
                    var imgurl = ret.data.url;
                    var img_html = '<div class="img_list" style="background: url(' + imgurl + ');"><input type="hidden" name="imgs[]" value="' + imgurl + '" /><i class="icon icon-delect" onclick="del(this)"></i></div>';
                    $api.append($api.byId('show_imgs'), img_html);
                    $api.addCls($api.byId('uploadButton'), 'aui-btn-info');
                    $api.removeAttr($api.byId('uploadButton'), 'disabled')
                } else {
                    showTipMsg('网速过慢或图片超过5M，稍后尝试');
                }
            });
        }
    });

}

function getCameraVideo(objid) {
    if ($('.img_list').length > 0) {
        api.alert({
            title: '温馨提示',
            msg: '图片和视频不能同时上传',
        }, function(ret, err) {});
        return false;
    }
    if ($('.video_list').length == 1) {
        api.alert({
            title: '温馨提示',
            msg: '视频只能提交一个',
        }, function(ret, err) {});
        return false;
    }
    api.requestPermission({
        list: ['camera', 'microphone', 'storage']
    }, function(ret, err) {
        zySmallVideo.openNew({
            setFeatures: 1002,
            AVAssetExportPreset: "AVAssetExportPresetMediumQuality",
            MinTimeText: "还没到时间呢", //最短时间提示词
            videoColor: api.systemType == "ios" ? 0x8e35ea : "#8e35ea",
            setBackShow: 1,
            MaxRecordTime: 15
        }, function(ret, err) {
            // alert(JSON.stringify(ret));
            if (ret.status) {
                fileUrl = ret.url;
                var connectionType = api.connectionType;
                if (connectionType == 'none') {
                    showTipMsg('啊噢，网络故障~');
                }
                api.showProgress({
                    style: 'default',
                    animationType: 'fade',
                    title: '上传中',
                    text: '请稍等',
                    modal: true
                });
                var filePath = fileUrl; //视频压缩后本地路径
                var fileName = filePath.substring(filePath.lastIndexOf('/') + 1);
                var fileType = 'mp4';
                var fileSize = '500';
                h5uploadOneVideo(objid, filePath, fileName, fileType, fileSize);
            } else if (ret.result == "cancel") {
                zySmallVideo.close();
            }
        });
    });
}


function getCamera(objid) {
    confirmPer('camera');
    api.getPicture({
        sourceType: 'camera',
        encodingType: "jpg",
        mediaValue: "pic",
        allowEdit: false
    }, function(ret, err) {
        if (ret) {
            var filePath = ret.data;
            if (filePath) {
                var fileName = filePath.substring(filePath.lastIndexOf('/') + 1);
                var fileType = 'jpg';
                var fileSize = '500';
                h5uploadOne(objid, filePath, fileName, fileType, fileSize);
            }
        } else {
            if (err.msg == 'user canceled') {
                api.alert({
                    msg: '用户取消'
                });
            } else {
                api.alert({
                    msg: err.msg
                });
            }
        }
    });
}

function getPicture(objid) {
    confirmPer('storage');
    api.getPicture({
        sourceType: 'library',
        encodingType: 'jpg',
        mediaValue: 'pic',
        destinationType: 'url',
        allowEdit: false,
        quality: 100,
        //targetWidth:100,
        //targetHeight:100,
        saveToPhotoAlbum: false
    }, function(ret, err) {
        if (ret) {
            var filePath = ret.data;
            if (filePath) {
                var fileName = filePath.substring(filePath.lastIndexOf('/') + 1);
                var fileType = 'jpg';
                var fileSize = '500';
                h5uploadOne(objid, filePath, fileName, fileType, fileSize);
            }
        } else {
            if (err.msg == 'user canceled') {
                api.alert({
                    msg: '用户取消'
                });
            } else {
                api.alert({
                    msg: err.msg
                });
            }
        }
    });
}

function h5uploadOne(objid, filePath, fileName, fileType, fileSize) {
    var connectionType = api.connectionType;
    if (connectionType == 'none') {
        showTipMsg('啊噢，网络故障~');
    }
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '加载中',
        modal: false
    });

    var params = {};
    lrz(filePath, {
        width: 800,
        quality: 1
    }, function(results) { //使用lrz.mobile.min.js直接压缩
        var file = results.origin;
        params.fileName_image = fileName;
        params.fileSize_image = fileSize;
        params.fileType_image = fileType;
        params.fileData_image = results.base64;
        params.op = 'article';
        ajaxRequest(API_URL.h5UploadPic, 'post', params, function(ret, err) {
            console.log(JSON.stringify(ret))
            if (ret.status == 0) {
                var imgurl = ret.data.url;
                var img_html = '<div class="img_list" style="background: url(' + imgurl + ');"><input type="hidden" name="imgs[]" value="' + imgurl + '" /><i class="icon icon-delect" onclick="del(this)"></i></div>';
                $api.append($api.byId('show_imgs'), img_html);
                $api.addCls($api.byId('uploadButton'), 'aui-btn-info');
                $api.removeAttr($api.byId('uploadButton'), 'disabled')
            } else {
                showTipMsg('网速过慢或图片超过5M，稍后尝试');
            }
        }, false);
    });
}

function h5uploadOneVideo(objid, filePath, fileName, fileType, fileSize) {

    var params = {};
    var filePath1 = [];
    filePath1.push(filePath);
    console.log(filePath)
    params.op = 'article';
    ajaxUploadFile(API_URL.h5UploadVideo, 'post', params, {
        'file': filePath1
    }, function(ret, err) {
        console.log(JSON.stringify(ret))
        if (ret.code == 200) {
            $api.val($api.byId('is_video'), 1);
            var video_url = ret.data.url;
            var img_html = '<div class="video_list"><video controls="controls" autoplay="autoplay"><source src="' + video_url + '" ></video><input type="hidden"  name="video_url" value="' + video_url + '" /><i class="icon icon-delect" onclick="delvideo(this)"></i></div>';
            $api.append($api.byId('show_video'), img_html);
            $api.addCls($api.byId('uploadButton'), 'disabled')
            $api.removeCls($api.byId('show_video'), 'aui-hidden');
            // zySmallVideo.clearCache(function(ret, err){
            //     if(ret.result = "success"){}
            // });
        } else {
            showTipMsg('网速过慢或视频超过20M，稍后尝试');
        }
    });
}

function del(o) {
    $(o).parent().remove();
    if ($('.img_list').length < 8) {
        $api.removeCls($api.byId('uploadButtonDiv'), 'aui-hidden');
    }
    if ($('.img_list').length == 0) {
        $api.addCls($api.byId('uploadButton'), 'f-gray');
        $api.removeCls($api.byId('uploadButton'), 'aui-btn-info');
        $api.attr($api.byId('uploadButton'), 'disabled', 'disabled');
    }
}

function delvideo(o) {
    $(o).parent().remove();
    if ($('.video_list').length == 0) {
        $api.addCls($api.byId('uploadButton'), 'f-gray');
        $api.removeCls($api.byId('uploadButton'), 'aui-btn-info');
        $api.attr($api.byId('uploadButton'), 'disabled', 'disabled');
        $api.addCls($api.byId('show_video'), 'aui-hidden');
        $api.val($api.byId('is_video'), 2);
    }
}

/*发布*/
function doPublish() {


    var content = $api.val($api.byId('content'));
    content = content.replace(/\n/g, "<br/>");
    content = $api.trimAll(content);

    var imgs = new Array();
    if ($("input[name='imgs[]']").length > 0) {
        $("input[name='imgs[]']").each(function(index, obj) {
            imgs.push($(this).val());
        });
    }
    var is_video = $api.val($api.byId('is_video'));

    if (is_video == 2) {
        if (content == '') {
            api.alert({
                title: '温馨提示',
                msg: '说点什么吧，没有内容无法给您解答呢？',
            }, function(ret, err) {});
            return false;
        }
    }

    if (is_video == 1) {
        if (content == '') {
            api.alert({
                title: '温馨提示',
                msg: '说点什么吧，没有内容怎么发布呢？',
            }, function(ret, err) {});
            return false;
        }
    }
    if (isLoading) {
        return
    }
    isLoading = true;
    var connectionType = api.connectionType;
    if (connectionType == 'none') {
        showTipMsg('啊噢，网络故障~');
    }
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '加载中',
        modal: false
    });

    var params = {};

    var video_url = '';
    if ($("input[name='video_url']").length == 1) {
        video_url = $("input[name='video_url']").val();
    }
    params.teacher_id = teacher_id;
    params.content = content;
    params.imgs = JSON.stringify(imgs);
    params.is_video = is_video;
    params.video_url = video_url;

    ajaxRequest(API_URL.publishAsk, 'post', params, function(ret, err) {
        if (ret.status == 0) {
            aid = ret.data.aid;

            showTipMsg('提交成功');
            clearInterval(myVar);
            $api.setStorage('question_content', '');
            api.sendEvent({
                name: 'post-ask-succ'
            });
            api.sendEvent({
                    name: 'close-ask-question'
                })
                // setTimeout(function(){api.sendEvent({name:'close-ask-question'})},500)
            fOpenWin('win_ask_detail', {
                'id': aid,
                'title': ret.data.title,
                'closeQ': 1
            })
        } else if (ret.status == -1) {
            isLoading = false;
            showTipMsg(ret.msg);
            fOpenWin('login');
        } else {
            isLoading = false;
            showTipMsg(ret.msg);
        }

    });
}

function alertClose() {
    isLoading = false;
    if (article_id != '') {
        $api.setStorage('question_content', '');
        $api.val($api.byId('content'), '');
        openArticle(article_id, '提问');

        setTimeout(function() {
            api.closeWin({
                name: 'win_ask_question'
            });
        }, 1000);
    } else {
        $('#div_success').hide();
    }

}
