var keyword = '',page=1,_noMore=0;
apiready = function() {
    api.parseTapmode();
    var header = $api.dom('header'); // 获取 header 标签元素
    var headerH = $api.fixStatusBar(header);
//console.log(111);
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉

}
function doSearch(data=''){
  $api.addCls($api.byId("L_bottom"), 'aui-hidden');
  keyword = data;
  if(data == ''){
    _noMore = 1;
    $api.html($api.byId('search-list'), "");
  }else{
    _noMore = 0;
    page = 1;
    searchAskList();
  }
  //console.log(data);
}

function searchAskList(){
  if(_noMore || keyword == '')return false;
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var params = {};
  params.page = 1;
  params.keyword = keyword;
  //console.log(JSON.stringify(params));
  ajaxRequest(API_URL.searchAskList, 'post', params, function(ret, err) {
    if(ret.status == 0){

      var dataList = ret.data.rows;
      //console.log(JSON.stringify(ret.data));
      if(page >= ret.data.pageCount){
        _noMore = 1;
        $api.removeCls($api.byId("L_bottom"), 'aui-hidden');
      }else{
        if(!$api.hasCls($api.byId("L_bottom"), 'aui-hidden')){
          $api.addCls($api.byId("L_bottom"), 'aui-hidden');
        }
      }
      for(var prop in dataList){
        dataList[prop].color_title = dataList[prop].title.replace(keyword,'<span class="aui-text-primary">'+keyword+'</span>');
      }
      askTeacherListCallback(dataList);
    }else{
      showTipMsg(ret.msg);
    }
  });

}

function askTeacherListCallback(data){
  var content = $api.byId('search-list');
  var tpl = $api.byId('search-list-template').text;
  var tempFn = doT.template(tpl);
  if (page == 1) {
      $api.html(content, "");
      $api.html(content, tempFn(data));
  } else {
      $api.append(content, tempFn(data));
  }
}

function setRefreshHeader(){
  api.setRefreshHeaderInfo({
      visible: true,
      bgColor: '#f5f5f5',
      textColor: '#999',
      textDown: '下拉刷新...',
      textUp: '松开刷新...',
      showTime: true
  }, function(ret, err) {
      _noMore = 0;
      page = 1;
      searchAskList();
      api.refreshHeaderLoadDone();
  });
}

function setScrollBottom(){
  api.addEventListener({
      name: 'scrolltobottom'
  }, function(ret, err) {
      if(!_noMore){
        page++;
        searchAskList();
      }else{
        return false;
      }
  });
}
