var id='',_detail=[],page=0,_noMore=0;
apiready = function() {
    api.parseTapmode();
    var header = $api.dom('header'); // 获取 header 标签元素
    var headerH = $api.fixStatusBar(header);
    id = api.pageParam.id;

    api.addEventListener({
        name: 'answer-publish-success'
    }, function(ret, err){
        render();
    });

    api.addEventListener({
        name: 'user-login-succ'
    }, function(ret, err){
        render();
    });

    api.sendEvent({
        name: 'reload-ask-number'
    });



    // getAskTeacherInfo();
    render();
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉
}

function render(){
  _noMore = 0;
  page = 1;
  getAskList();
}

function setRefreshHeader(){
  api.setRefreshHeaderInfo({
      visible: true,
      bgColor: '#f5f5f5',
      textColor: '#999',
      textDown: '下拉刷新...',
      textUp: '松开刷新...',
      showTime: true
  }, function(ret, err) {
      render();
      api.refreshHeaderLoadDone();
  });
}

function setScrollBottom(){
  api.addEventListener({
      name: 'scrolltobottom'
  }, function(ret, err) {
      if(!_noMore){
        page++;
        getAskList();
      }else{
        return false;
      }
  });
}

function getAskList(){
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var params = {};
  params.noAnswer = 2;
  params.page = page;
  ajaxRequest(API_URL.getAskList, 'post', params, function(ret, err) {
      if (ret.status == 0) {
        var dataList = ret.data.rows;
        if(page >= ret.data.pageCount){
          _noMore = 1;
          $api.removeCls($api.byId("L_bottom"), 'aui-hidden');
        }else{
          if(!$api.hasCls($api.byId("L_bottom"), 'aui-hidden')){
            $api.addCls($api.byId("L_bottom"), 'aui-hidden');
          }
        }
          askListCallback(dataList);
      } else {
          showTipMsg(ret.msg);
      }
  });

}

function askListCallback(data){
  var content = $api.byId('ask-list');
  var tpl = $api.byId('ask-list-template').text;
  var tempFn = doT.template(tpl);
  if (page == 1) {
      $api.html(content, "");
      $api.html(content, tempFn(data));
  } else {
      $api.append(content, tempFn(data));
  }
}

function fixCallback(data){
  //console.log(JSON.stringify(data));
  var content = $api.byId('fixbtn');
  var tpl = $api.byId('fixbtn-template').text;
  var tempFn = doT.template(tpl);
  $api.html(content, tempFn(data));
}

function askAdopt(obj){
  var asid = $api.attr(obj,'data-id');
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var parents = $api.closest(obj, "div.aui-card-list");

  var params = {};
  params.asid = asid;
  params.id = id;
  ajaxRequest(API_URL.answerAdopt, 'post', params, function(ret, err) {
      if (ret.status == 0) {
        $api.addCls(obj, 'aui-hidden');
        $api.removeCls($api.dom(parents,"div.caina"), 'aui-hidden');
      } else {
          showTipMsg(ret.msg);
      }
  });
  //console.log(id);
}
