var rid=0,mid=0,uid=0;
apiready = function() {
    api.parseTapmode();
    var header = $api.dom('header'); // 获取 header 标签元素
    var headerH = $api.fixStatusBar(header);

    rid=api.pageParam.rid
    mid=api.pageParam.mid
    uid=api.pageParam.uid


    api.addEventListener({
        name: 'list-data-reload'
    }, function(ret, err){
    });

    api.addEventListener({
        name: 'user-login-succ'
    }, function(ret, err){
        render();
    });


    // getAskTeacherInfo();
    render();
    setRefreshHeader();
}

function render(){
  
  if(rid > 0 && mid > 0){
    getList()
  }
}


function getList(){
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var params = {};
  params.rid = rid;
  params.mid = mid;
  ajaxRequest(API_URL.chatDetail, 'post', params, function(ret, err) {
    
    console.log(JSON.stringify(ret.data))
      if (ret.status == 0) {
        for(var prop in ret.data){
          if(!ret.data[prop].is_my){
            var jsfun = 'setTitle(\''+ret.data[prop].create_username+'\');';
            api.execScript({name: 'win_chat',script: jsfun});
          }
        }
        listCallback(ret.data)
      }else if(ret.status == -1){
          showTipMsg(ret.msg);
          setTimeout(function(){fOpenWin('login');},500)
      } else {
          showTipMsg(ret.msg);
      }
  });

}

function listCallback(data){
  var content = $api.byId('message-content');
  var tpl = $api.byId('message-content-template').text;
  var tempFn = doT.template(tpl);
  $api.html(content, "");
  $api.html(content, tempFn(data));
  document.body.scrollTop=document.body.scrollHeight
}

function doSubmit(text){
  if (text == '') {
    showTipMsg('内容不能为空');
    return false;
}
  if(rid > 0 && mid > 0){
    sendMsg(text)
  }else{
    addMsg(text)
  }
}

function addMsg(text){
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var params = {};
  params.uid = uid;
  params.content = text
  ajaxRequest(API_URL.chatAddMsg, 'post', params, function(ret, err) {
    
      if (ret.status == 0) {
        rid = ret.data.rid
        mid = ret.data.mid
        render()
      }else if(ret.status == -1){
          showTipMsg(ret.msg);
          setTimeout(function(){fOpenWin('login');},500)
      } else {
          showTipMsg(ret.msg);
      }
  });
}

function sendMsg(text){
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var params = {};
  params.rid = rid;
  params.mid = mid;
  params.content = text
  ajaxRequest(API_URL.chatSendMsg, 'post', params, function(ret, err) {
    
      if (ret.status == 0) {
        render()
      }else if(ret.status == -1){
          showTipMsg(ret.msg);
          setTimeout(function(){fOpenWin('login');},500)
      } else {
          showTipMsg(ret.msg);
      }
  });
}

function setRefreshHeader(){
  api.setRefreshHeaderInfo({
      visible: true,
      bgColor: '#ccc',
      textColor: '#fff',
      textDown: '下拉刷新...',
      textUp: '松开刷新...',
      showTime: true
  }, function(ret, err) {
      render()
      api.refreshHeaderLoadDone();
  });
}