var id = '',
    _detail = [],
    page = 1,
    is_more = 1;
apiready = function() {
    api.parseTapmode();
    var header = $api.dom('header'); // 获取 header 标签元素
    var headerH = $api.fixStatusBar(header);
    id = api.pageParam.id;

    // getAskTeacherInfo();
    render();
    setScrollBottom(); //底部拉
}

function render() {
    getUserDetail();
    _noMore = 0;
    page = 1;
    getUserPublishPage();
}

function getUserDetail() {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '加载中',
        modal: false
    });
    var params = {};
    params.uid = id;
    ajaxRequest(API_URL.getCommonUser, 'post', params, function(ret, err) {
        if (ret.status == 0) {
            _detail = ret.data;
            //console.log(JSON.stringify(_detail));
            UserDetailCallback(_detail);
        } else {
            showTipMsg(ret.msg);
        }
    });
}

function UserDetailCallback(data) {
    var content = $api.byId('user-detail');
    var tpl = $api.byId('user-detail-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content, tempFn(data));
}

function setScrollBottom() {
    api.addEventListener({
        name: 'scrolltobottom'
    }, function(ret, err) {
        getUserPublishPage();
    });
}

function getUserPublishPage() {
    if (!is_more) {
        return
    }
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '加载中',
        modal: false
    });
    var params = {};
    params.uid = id;
    params.page = page;
    ajaxRequest(API_URL.getUserPublishPage, 'post', params, function(ret, err) {
        if (ret.status == 0) {
            var pageList = ret.data;
            if (pageList.count == 0) {
                $('#div_no_data').show();
                is_more = 0;
            }else if(page>=pageList.pageCount){
              $('#div_no_more').show();
              is_more = 0;
            }
            if (pageList.currentCount) {
                renderPage(pageList.rows);
                page++;
            }
        } else {
            showTipMsg(ret.msg);
        }
    });
}

function renderPage(data) {
    var content = $api.byId('content_list');
    var tpl = $api.byId('content_list-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
        $api.html(content, tempFn(data));
    } else {
        $api.append(content, tempFn(data));
    }
}

function doContentDetail(type, relation_id, title) {
    if (type == 1) { //帖子
        fOpenWin('win_thread',{'tid':relation_id,'title':title})
    } else if (type == 2) { //问答
        fOpenWin('win_ask_detail',{id:relation_id,title:title})
    }
}

function doUserFollow() {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '加载中',
        modal: false
    });
    var params = {};
    params.follow_id = id;
    ajaxRequest(API_URL.doUserFollow, 'post', params, function(ret, err) {
        if (ret.status == 0) {
            var _status = ret.data.status
            if (_status == 1) {
                $('#btn_follow').text('取消关注');
                $('#btn_follow').removeClass('aui-btn-outlined');
            } else {
                $('#btn_follow').text('关注');
                $('#btn_follow').addClass('aui-btn-outlined');
            }
            api.sendEvent({
                name: 'do_user_follow',
                extra: {}
            });
        } else if (ret.status == -1) {
            showTipMsg(ret.msg);
            fOpenWin('login');
        } else {
            showTipMsg(ret.msg);
        }
    });
}
