var headerPos;
apiready = function() {
    api.parseTapmode();
    headerPos = api.pageParam.headerPos;
    // api.sendEvent({
    //     name: 'user-login-succ',
    //     extra: {}
    // });
}

//TODO qq登录
function qqLogin() {
    var obj = api.require('qq');
    obj.login(function(ret, err) { //alert('status:'+ret.status+';openId:'+ret.openId + ';accessToken:'+ret.accessToken);
        if (ret.status == true) {
            var openid = ret.openId;
            obj.getUserInfo(function(ret, err) {
                if (ret.status) {
                    //alert('status:' + ret.status);
                    var info = ret.info;
                    var nickname = info.nickname;
                    var avatar = info.figureurl_qq_2;
                    var param = {
                        openid: openid,
                        avatar: avatar //登陆时把头像更新一下
                    };
                    api.showProgress({
                        title: '正在登录',
                        modal: false
                    });
                    ajaxRequest(API_URL.qqLogin, 'post', param, function(ret, err) {
                        //alert(ret.status);
                        console.log(JSON.stringify(ret))
                        if (ret.status == 0) { //登录成功
                            var data = ret.data;
                            var uid = data.uid;
                            var username = data.username;
                            var telFlag = data.telFlag;

                            if (telFlag == 1) {
                                $api.setStorage('uid', uid);
                                $api.setStorage('username', username);
                                $api.setStorage('sessId', data.sessId);

                                try {
                                    var ajpush = api.require('ajpush'); //注册
                                    var param = {
                                        alias: 'u_' + uid,
                                        tags: ['u_' + uid]
                                    };
                                    ajpush.bindAliasAndTags(param, function(ret) {});
                                } catch (e) {}
                                setTimeout(function(){
                                  api.sendEvent({
                                      name: 'user-login-succ'
                                  });
                                  api.closeWin();
                                },300)
                            } else {
                                //TODO 打开补充手机号码界面
                                var jsfun = 'setTitle(\'绑定手机号\');';
                                api.execScript({
                                    name: 'login',
                                    script: jsfun
                                });
                                api.openFrame({
                                    name: 'frm_bind_phone',
                                    url: 'frm_bind_phone.html',
                                    pageParam: {
                                        uid: uid
                                    },
                                    rect: {
                                        x: 0,
                                        y: headerPos.h,
                                        w: 'auto',
                                        h: 'auto'
                                    },
                                    bounces: false,
                                    vScrollBarEnabled: false
                                });
                            }

                        } else if (ret.status == -1) { //注册登录
                            var params = {};
                            params.openid = openid;
                            params.username = nickname;
                            params.avatar = avatar;
                            ajaxRequest(API_URL.qqReg, 'post', params, function(ret, err) {
                                console.log(JSON.stringify(ret));
                                if (ret.status == 0) { //登录成功
                                    var data = ret.data;
                                    var uid = data.uid;
                                    var username = data.username;
                                    var telFlag = data.telFlag;
                                    //TODO 打开补充手机号码界面
                                    var jsfun = 'setTitle(\'绑定手机号\');';
                                    api.execScript({
                                        name: 'win_account_login',
                                        script: jsfun
                                    });
                                    api.openFrame({
                                        name: 'frm_bind_phone',
                                        url: 'frm_bind_phone.html',
                                        pageParam: {
                                            uid: uid
                                        },
                                        rect: {
                                            x: 0,
                                            y: headerPos.h,
                                            w: 'auto',
                                            h: 'auto'
                                        },
                                        bounces: false,
                                        vScrollBarEnabled: false
                                    });
                                }else{
                                    api.toast({
                                        msg: ret.msg,
                                        location: 'middle'
                                    });
                                }
                            })
                        }
                    })
                } else {
                    api.alert({
                        msg: err.msg
                    });
                }
            });
        } else {
            //alert(err.code);
            api.toast({
                msg: "取消登录或者登录失败",
                location: 'middle'
            });
        }
    });
}

//TODO 微信登录
function wxLogin() {
   var wx = api.require('wx');
   wx.auth({
       apiKey: ''
   }, function(ret, err) {
     api.showProgress({
         style: 'default',
         animationType: 'fade',
         title: '加载中',
         modal: false
     });
      //alert('ret.status:'+ret.status+';ret.code:'+ret.code);
      if(ret.status){
        wx.getToken({
            apiKey: '',
            apiSecret: '',
            code: ret.code
        }, function(ret, err) {
            if (ret.status) {
              //alert('ret.accessToken:'+ret.accessToken);
              wx.getUserInfo({
                  accessToken: ret.accessToken,
                  openId: ret.openId
              }, function(ret, err) {
                 //alert('ret.status'+ret.status);
                 //console.log(JSON.stringify(ret));
                 var param = {};
                 var unionid = ret.unionid;
                 var openid = ret.openid;
                 var nickname = ret.nickname;
                 var avatar = ret.headimgurl;
                 param.unionid = unionid;
                 param.openid = openid;
                 param.nickname = nickname;
                 ajaxRequest(API_URL.wxLogin, 'post', param, function(ret, err) {
                   //console.log(JSON.stringify(ret));
                   if (ret.status == 0) { //登录成功
                       var data = ret.data;
                       var uid = data.uid;
                       var username = data.username;
                       var telFlag = data.telFlag;

                       if (telFlag == 1) {
                           $api.setStorage('uid', uid);
                           $api.setStorage('username', username);
                           $api.setStorage('sessId', data.sessId);

                           try {
                               var ajpush = api.require('ajpush'); //注册
                               var param = {
                                   alias: 'u_' + uid,
                                   tags: ['u_' + uid]
                               };
                               ajpush.bindAliasAndTags(param, function(ret) {});
                           } catch (e) {}
                           setTimeout(function(){
                             api.sendEvent({
                                 name: 'user-login-succ',
                                 extra: {}
                             });
                             //api.closeWin();
                           },300);
                       } else {
                           //TODO 打开补充手机号码界面
                           var jsfun = 'setTitle(\'绑定手机号\');';
                           api.execScript({
                               name: 'login',
                               script: jsfun
                           });
                           api.openFrame({
                               name: 'frm_bind_phone',
                               url: 'frm_bind_phone.html',
                               pageParam: {
                                   uid: uid
                               },
                               rect: {
                                   x: 0,
                                   y: headerPos.h,
                                   w: 'auto',
                                   h: 'auto'
                               },
                               bounces: false,
                               vScrollBarEnabled: false
                           });
                       }
                   }else if (ret.status == -1) {
                     var params = {};
                     params.openid = openid;
                     params.username = nickname;
                     params.unionid = unionid;
                     params.avatar = avatar;
                     //console.log(JSON.stringify(params));
                     ajaxRequest(API_URL.wxReg, 'post', params, function(ret, err) {
                         //console.log(JSON.stringify(ret));
                         if (ret.status == 0) { //登录成功
                             var data = ret.data;
                             var uid = data.uid;
                             var username = data.username;
                             var telFlag = data.telFlag;
                             //TODO 打开补充手机号码界面
                             var jsfun = 'setTitle(\'绑定手机号\');';
                             api.execScript({
                                 name: 'win_account_login',
                                 script: jsfun
                             });
                             api.openFrame({
                                 name: 'frm_bind_phone',
                                 url: 'frm_bind_phone.html',
                                 pageParam: {
                                     uid: uid
                                 },
                                 rect: {
                                     x: 0,
                                     y: headerPos.h,
                                     w: 'auto',
                                     h: 'auto'
                                 },
                                 bounces: false,
                                 vScrollBarEnabled: false
                             });
                         }else{
                            api.toast({
                                msg: ret.msg,
                                location: 'middle'
                            });
                        }
                     })
                   }

                 })

              })
            }
        })
      } else {
        api.hideProgress();
              api.toast({
                  msg: "取消登录或者登录失败",
                  location: 'middle'
              });
        }
   })



    //
    // var wx = api.require('wx');
    // wx.auth({
    //     apiKey: ''
    // }, function(ret, err) {
    //   	alert('ret.status:'+ret.status+';ret.code:'+ret.code);
    //     if (ret.status) {
    //         wx.getToken({
    //             apiKey: '',
    //             apiSecret: '',
    //             code: ret.code
    //         }, function(ret, err) {
    //             if (ret.status) {
    //                 alert('ret.accessToken:'+ret.accessToken);
    //                 wx.getUserInfo({
    //                     accessToken: ret.accessToken,
    //                     openId: ret.openId
    //                 }, function(ret, err) {
    //                 alert('ret.status'+ret.status);
    //                 ajaxRequest(API_URL.wxLogin, 'post', param, function(ret, err) {
    //                     if (ret.status) {
    //                         var unionid = ret.unionid;
    //                         var openid = ret.openid;
    //                         var nickname = ret.nickname;
    //                         //alert(nickname);
    //                         var avatar = ret.headimgurl;
    //                         var param = {
    //                                 unionid: unionid,
    //                                 avatar: avatar, //登陆时把头像更新一下
    //                                 nickname:nickname
    //                             }
    //
    //                             if (ret.status == 0) { //登录成功
    //                                 var data = ret.data;
    //                                 var uid = data.uid;
    //                                 var username = data.username;
    //                                 var telFlag = data.telFlag;
    //
    //                                 if (telFlag == 1) {
    //                                     $api.setStorage('uid', uid);
    //                                     $api.setStorage('username', username);
    //                                     $api.setStorage('sessId', data.sessId);
    //                                     api.sendEvent({
    //                                         name: 'user-login-succ',
    //                                         extra: {}
    //                                     });
    //                                     try {
    //                                         var ajpush = api.require('ajpush'); //注册
    //                                         var param = {
    //                                             alias: 'u_' + uid,
    //                                             tags: ['u_' + uid]
    //                                         };
    //                                         ajpush.bindAliasAndTags(param, function(ret) {});
    //                                     } catch (e) {}
    //
    //                                 } else {
    //                                     //TODO 打开补充手机号码界面
    //                                     var jsfun = 'setTitle(\'绑定手机号\');';
    //                                     api.execScript({
    //                                         name: 'login',
    //                                         script: jsfun
    //                                     });
    //                                     api.openFrame({
    //                                         name: 'frm_bind_phone',
    //                                         url: 'frm_bind_phone.html',
    //                                         pageParam: {
    //                                             uid: uid
    //                                         },
    //                                         rect: {
    //                                             x: 0,
    //                                             y: headerPos.h,
    //                                             w: 'auto',
    //                                             h: 'auto'
    //                                         },
    //                                         bounces: false,
    //                                         vScrollBarEnabled: false
    //                                     });
    //                                 }
    //                             }
    //
    //                           } else {
    //                               //							        alert(err.code);
    //                           }
    //                       }
    //                 });
    //             } else {
    //                 //					        alert(err.code);
    //             }
    //         });
    //     } else {
    //         //			        alert(err.code);
    //         api.toast({
    //             msg: "取消登录或者登录失败",
    //             location: 'middle'
    //         });
    //     }
    // });
}
