var page = 1,
    _noMore = 0;
apiready = function() {
    api.parseTapmode();
    render();
    setScrollBottom(); //底部拉

};

function render() {

    page = 1;
    _noMore = 0
    getCollectionList();
}


function getCollectionList() {
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var params = {};
  params.page = page;
  ajaxRequest(API_URL.getCollection, 'post', params, function(ret, err) {
      if (ret.status == 0) {
          // _detail = ret.data;
          var dataList = ret.data.rows;
          if(page >= ret.data.pageCount){
            _noMore = 1;
            if(page > 1 || dataList.length > 0){
              $api.removeCls($api.byId("L_bottom"), 'aui-hidden');
            }
            if(page == 1 && dataList.length == 0){
              $api.removeCls($api.byId("no_list"), 'aui-hidden');
            }
          }else{
            if(!$api.hasCls($api.byId("L_bottom"), 'aui-hidden')){
              $api.addCls($api.byId("L_bottom"), 'aui-hidden');
            }
            if(!$api.hasCls($api.byId("no_list"), 'aui-hidden')){
              $api.addCls($api.byId("no_list"), 'aui-hidden');
            }
          }
          renderList(dataList);
      } else {
          showTipMsg(ret.msg);
      }
  });
}

function renderList(data) {
    var content = $api.byId('data-list');
    var tpl = $api.byId('data-list-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
        $api.html(content, "");
        $api.html(content, tempFn(data));
    } else {
        $api.append(content, tempFn(data));
    }
}

function setScrollBottom() { //底部拉
    api.addEventListener({
        name: 'scrolltobottom'
    }, function(ret, err) {
      if(!_noMore){
        page++;
        getCollectionList();
      }else{
        return false;
      }

    });
}

function clickLink(type,typeid,title){
  if(type == 'postfavor'){
    fOpenWin('win_thread',{tid:typeid,'title':title});
  }else if(type == 'appqa'){
    fOpenWin('win_ask_detail',{id:typeid,'title':title});
  }else if(type == 'appzt'){
    fOpenWin('win_topic',{id:typeid,'title':title});
  }
}
