var page = 1,
    is_more = 1;
apiready = function() {
    api.parseTapmode();
    render();
    setScrollBottom(); //底部拉
}

function render() {
    getMyFollowList();
}

function getMyFollowList() {
    if (!is_more) {
        return
    }
    var connectionType = api.connectionType;
    if (connectionType == 'none') {
        api.toast({
            msg: '啊噢，网速不给力~',
            location: 'middle'
        });
        return;
    }
    var params = {};
    params.page = page;
    ajaxRequest(API_URL.getUserFollowPage, 'post', params, function(ret, err) {
        if (ret.status == 0) {
            var pageList = ret.data;
            if (page == pageList.pageCount) {
                $('#div_bottom').show();
                is_more = 0;
            }
            if (pageList.currentCount) {
                renderList(pageList.rows);
                page++;
            } else {
                is_more = 0;
            }
            if(pageList.count==0){
              $('#div_none').show();
            }
        } else {
            showTipMsg(ret.msg);
        }
    });
}

function renderList(data) {
    var content = $api.byId('list-content');
    var tpl = $api.byId('list-content-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
        $api.html(content, "");
        $api.html(content, tempFn(data));
    } else {
        $api.append(content, tempFn(data));
    }
}

function doCancleFollow(user_id) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '加载中',
        modal: false
    });
    var params = {};
    params.follow_id = user_id;
    ajaxRequest(API_URL.doUserFollow, 'post', params, function(ret, err) {
        if (ret.status == 0) {
            var _status = ret.data.status
            if (_status == 0) {
                $('#li_' + user_id).hide()
            }
            api.sendEvent({
                name: 'do_user_follow',
                extra: {}
            });
        } else if (ret.status == -1) {
            showTipMsg(ret.msg);
            fOpenWin('login');
        } else {
            showTipMsg(ret.msg);
        }
    });
}

function doUserDetail(teacher_id,user_id){
  if(teacher_id>0){
    fOpenWin('win_ask_teacher',{id:teacher_id})
  }else{
    fOpenWin('win_common_user', {
        id: user_id
    })
  }
}

function setScrollBottom() { //底部拉
    api.addEventListener({
        name: 'scrolltobottom'
    }, function(ret, err) {
        getMyFollowList();
    });
}
