var page = 1,
    is_more = 1;
apiready = function() {
    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉

    api.addEventListener({
        name: 'user-msg-read'
    }, function(ret, err){
          render();
    });
};

function render() {
    $('#div_bottom').hide();
    page = 1;
    is_more = 1;
    getMessageList();
}

function getMessageList() {
    if (is_more == 2) {
        $('#div_bottom').show();
        return;
    }
    var connectionType = api.connectionType;
    if (connectionType == 'none') {
        api.toast({
            msg: '啊噢，网速不给力~',
            location: 'middle'
        });
        return;
    }
    // api.showProgress({
    //     style: 'default',
    //     animationType: 'fade',
    //     title: '加载中',
    //     modal: false
    // });
    var params = {};
    params.page = page
    ajaxRequest(API_URL.getMessages, 'post', params, function(ret, err) {
        console.log(JSON.stringify(ret))
        if (ret.status == 0) {
            var _list = ret.data.rows;
            renderList(_list);
            if (page > ret.data.pageCount) {
                $('#div_bottom').show();
                is_more = 2;
            }
            if(page==1 &&_list.length==0){
              $('#div_no_message').show();
            }
        } else {
            showTipMsg(ret.msg);
        }
    });
}

function renderList(data) {
    var content = $api.byId('list-content');
    var tpl = $api.byId('list-content-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
        $api.html(content, tempFn(data));
    } else {
        $api.append(content, tempFn(data));
    }
}

function setRefreshHeader() { //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err) {
        $('#div_bottom').hide();
        page = 1;
        is_more = 1;
        getMessageList();
        // getVideoList(_vid,page);
        api.refreshHeaderLoadDone();
    });
}

function setScrollBottom() { //底部拉
    api.addEventListener({
        name: 'scrolltobottom'
    }, function(ret, err) {
        if (is_more == 1) {
            page++;
            getMessageList();
        }

    });
}
function jumpThread(rid, mid, status, type, tid, title){
  if(status==1){
    var params = {};
    params.rid = rid
    params.mid = mid
    ajaxRequest(API_URL.doReadMessage, 'post', params, function(ret, err) {
        if (ret.status == 0) {
          api.sendEvent({
              name: 'user-login-succ'
          });
          api.sendEvent({
              name: 'user-msg-read'
          });
        }
    });
  }
  if(type == 105){
    fOpenWin('win_thread',{tid:tid,title:title});
  }
  if(type == 100){
    fOpenWin('win_chat',{rid:rid,mid:mid});
  }

}
