var _user_id = '',is_ios_check=0;
apiready = function() {
    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉

    api.addEventListener({
        name: 'user-login-succ'
    }, function(ret, err) {
       render();
    });

    api.addEventListener({
        name: 'user-msg-read'
    }, function(ret, err){
          render();
    });
};

function render() {
    var loginStatus = checkLogin();
    if(loginStatus){
      $('#div_login').hide();
      $('#div_info').show();
      getUserInfo();
    }else{
      if(api.systemType=='ios'){
        getUserInfo();
      }
      $('#div_login').show();
      $('#div_info').hide();
    }
}


function getUserInfo(){
  var connectionType = api.connectionType;
  if (connectionType == 'none') {
      api.toast({msg: '啊噢，网速不给力~', location: 'middle'});
      return;
  }
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  ajaxRequest(API_URL.userInfo, 'post',{}, function (ret, err) {
    if (ret.status == 0) {
        renderUserInfo(ret.data)
    }else if(ret.status == -1){
        showTipMsg(ret.msg);
        fOpenWin('login');
    }else if(ret.status == -2){
        is_ios_check=1;
        showTipMsg(ret.msg);
        fOpenWin('win_account_login');
    }else {
        showTipMsg(ret.msg);
    }
  });
}

function renderUserInfo(data) {
    var content = $api.byId('div_info');
    var tpl = $api.byId('div_info-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content, tempFn(data));
}
function doLogin(){
  if(is_ios_check){
    fOpenWin('win_account_login')
  }else{
    fOpenWin('login')
  }
}

function doLoginout(){
  var connectionType = api.connectionType;
  if (connectionType == 'none') {
      api.toast({msg: '啊噢，网速不给力~', location: 'middle'});
      return;
  }
  ajaxRequest(API_URL.doLoginout, 'post',{}, function (ret, err) {
      if (ret.status == 0) {
        // $api.setStorage('uid', '');
        // $api.setStorage('username', '');
        // $api.setStorage('sessId', '');
          render();
      } else {
          showTipMsg(ret.msg);
      }
  });
}

function setRefreshHeader() { //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#f5f5f5',
        textColor: '#999',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true

    }, function(ret, err) {
      render();
        api.refreshHeaderLoadDone();
    });
}
