apiready = function() {
  api.parseTapmode();
  var header = $api.dom('header'); // 获取 header 标签元素
  var headerH = $api.fixStatusBar(header);

  var header_h = $api.offset($api.dom('header')).h;

  $api.addEvt($api.byId('back'), 'click', function() {
      api.closeWin();
  });


  api.openFrame({
      name: 'frm_ask_search',
      url: 'frm_ask_search.html',
      allowEdit: true,
      bounces: true,
      rect: {
          x: 0,
          y: header_h,
          w: 'auto',
          h: 'auto'
      },
  });
}
var searchBar = document.querySelector(".aui-searchbar");
var searchBarInput = document.querySelector(".aui-searchbar input");
var searchBarBtn = document.querySelector(".aui-searchbar .aui-searchbar-btn");
var searchBarClearBtn = document.querySelector(".aui-searchbar .aui-searchbar-clear-btn");
if (searchBar) {
    searchBarInput.onclick = function() {
        searchBarBtn.style.marginRight = 0;
    }
    searchBarInput.oninput = function() {
        if (this.value.length) {
            searchBarClearBtn.style.display = 'block';
            searchBarBtn.classList.add("aui-text-primary");
            searchBarBtn.textContent = "搜索";
        } else {
            searchBarClearBtn.style.display = 'none';
            searchBarBtn.classList.remove("aui-text-info");
            searchBarBtn.textContent = "取消";
        }
    }
}
searchBarClearBtn.onclick = function() {
    this.style.display = 'none';
    searchBarInput.value = '';
    searchBarBtn.classList.remove("aui-text-info");
    searchBarBtn.textContent = "取消";
}
searchBarBtn.onclick = function() {
    var keywords = searchBarInput.value;
    var jsfun = 'doSearch("'+keywords+'");';
    api.execScript({
      frameName: 'frm_ask_search',
      script: jsfun
    });
    if (keywords.length) {
        searchBarInput.blur();

    } else {
        this.style.marginRight = "-" + this.offsetWidth + "px";
        searchBarInput.value = '';
        searchBarInput.blur();
    }
}
