var rid = 0,
    mid = 0,
    uid=0;
apiready = function() {
    api.parseTapmode();
    var header = $api.dom('header'); // 获取 header 标签元素
    $api.fixStatusBar(header);
    var headerPos = $api.offset(header);

    rid=api.pageParam.rid
    mid=api.pageParam.mid
    uid=api.pageParam.uid
    username=api.pageParam.username
    $api.html($api.byId('title'),username);

    api.openFrame({
        name: 'frm_chat',
        url: 'frm_chat.html',
        // useWKWebView: true,
        pageParam: {
            rid: rid,
            mid: mid,
            uid: uid
        },
        bounces: true,
        rect: {
            x: 0,
            y: headerPos.h,
            w: headerPos.w,
            h: 'auto'
        }
    });


    $api.addEvt($api.byId('back'), 'click', function() {
        api.closeWin();
    });
    if (api.systemType == 'ios') {
        initInputBox_ios();
    } else {
        initInputBox();
    }

    api.addEventListener({
        name: 'hide-keyboard'
    }, function(ret, err){
      var UIChatBox = api.require('UIChatBox');
      UIChatBox.closeKeyboard();
    });

    chatBoxObj.addEventListener({
        target: 'inputBar',
        name: 'move'
    }, function(ret, err) {
        setFrameAttrs(ret);
    });
}

function setTitle(name){
    $api.html($api.byId('title'),name);
  }

//输入框面板
function initInputBox() {
    chatBoxObj = api.require('UIChatBox');
    chatBoxObj.open({
        placeholder: '写评论',
        maxRows: 4,
        fixedon: api.Framename,
        texts: {
            sendBtn: {
                title: '发送'
            }
        },
        styles: {
            topDivider: { //(可选项)顶部分割线配置
                width: 5, //(可选项)顶部分割线的粗细，默认：0
                color: '#f2f2f2' //(可选项)顶部分割线的颜色；默认：#000 ;支持图片设置(fs:// & widget://)
            },
            inputBar: {
                borderColor: '#dcdcdc',
                bgColor: '#f2f2f2',

            },
            inputBox: {
                borderColor: '#dcdcdc',
                bgColor: '#FFFFFF',
                topMargin: 0,
            },
            keyboardBtn: {
                normalImg: 'widget://image/chatBox/key1.png'
            },
            sendBtn: {
                bg: '#4cc518',
                titleColor: '#fff',
                activeBg: '#5fad23',
            },
        }
    }, function(ret) {
        //点击发送按钮
        if (ret.eventType == 'send') {
            var jsfun = 'doSubmit(\'' + ret.msg + '\');';
            api.execScript({
                frameName: 'frm_chat',
                script: jsfun
            });
        }
    });
}


//输入框面板
function initInputBox_ios() {
    chatBoxObj = api.require('UIChatBox');
    chatBoxObj.open({
        placeholder: '写评论',
        maxRows: 4,
        fixedon: api.Framename,
        texts: {
            sendBtn: {
                title: '发送'
            }
        },
        styles: {
            topDivider: { //(可选项)顶部分割线配置
                width: 5, //(可选项)顶部分割线的粗细，默认：0
                color: '#f2f2f2' //(可选项)顶部分割线的颜色；默认：#000 ;支持图片设置(fs:// & widget://)
            },
            inputBar: {
                borderColor: '#f2f2f2',
                bgColor: '#f2f2f2',

            },
            inputBox: {
                borderColor: '#dcdcdc',
                bgColor: '#FFFFFF',
                topMargin: 5,
            },
            keyboardBtn: {
                normalImg: 'widget://image/chatBox/key1.png'
            },
            sendBtn: {
                bg: '#fff',
                titleColor: '#fff',
                activeBg: '#5fad23',
            },
        }
    }, function(ret) {

        //点击发送按钮
        if (ret.eventType == 'send') {

            var jsfun = 'doSubmit(\'' + ret.msg + '\');';
            api.execScript({
                frameName: 'frm_chat',
                script: jsfun
            });
        }
    });
}


function chatBoxPopupKeyboard(msg) {
    chatBoxObj = api.require('UIChatBox');
    chatBoxObj.setPlaceholder({
        placeholder: msg
    });
}

function chatBoxInsertValue(msg){
  chatBoxObj = api.require('UIChatBox');
  chatBoxObj.insertValue({
      'msg': msg
  });
}

function setFrameAttrs(ret) {
    var header = $api.byId('aui-header');
    var headerPos = $api.offset(header);
    var _h = ret.inputBarHeight + ret.panelHeight; // 输入框弹起的高度
    if (_h < 200) { // 判断是输入框弹起还是落下
        setTimeout(function() {
            api.setFrameAttr({
                name: 'frm_chat',
                rect: {
                    x: 0,
                    y: headerPos.h,
                    w: headerPos.w,
                    h: api.winHeight - headerPos.h
                },
            });
        }, 20)
    } else {
        setTimeout(function() {
            api.setFrameAttr({
                name: 'frm_chat',
                marginBottom: _h
            });
        }, 50)
    }
}

function doReport(){
    var _arr=['色情低俗', '政治敏感','广告','令人恶心','违纪违法','其他'];
  api.actionSheet({
      title: '请选择举报原因',
      cancelTitle: '取消',
      buttons: _arr,
      style:{titleFontColor:'#666'}
  }, function(ret, err) {
    if(ret.buttonIndex>_arr.length){
      return
    }
    showTipMsg('举报成功');

  });
}