apiready = function(){
    api.parseTapmode();
    api.parseTapmode();
    var header = $api.dom('header'); // 获取 header 标签元素
    $api.fixStatusBar(header);
    var headerPos = $api.offset(header);

    $api.addEvt($api.byId('back'), 'click', function() {
        api.closeWin();
    });

    api.openFrame({
        name: 'frm_search',
        url: 'frm_search.html',
        // useWKWebView:true,
        pageParam: {headerPos: headerPos},
        bounces: true,
        rect: {
            x: 0,
            y: headerPos.h,
            w: headerPos.w,
            h: 'auto'
        }
    });

}

function dosearch(){
  var keywords = searchBarInput.value;
  var jsfun = 'searchfun(\''+keywords+'\')';
  api.execScript({
      frameName: 'frm_search',
      script: jsfun
  });
}

$("form").submit(function(e){
   event.preventDefault();
   dosearch();
});

var searchBar = document.querySelector(".aui-searchbar");
var searchBarInput = document.querySelector(".aui-searchbar input");
var searchBarBtn = document.querySelector(".aui-searchbar .aui-searchbar-btn");
var searchBarClearBtn = document.querySelector(".aui-searchbar .aui-searchbar-clear-btn");
if(searchBar){
    searchBarInput.onclick = function(){
        searchBarBtn.style.marginRight = 0;
    }
    searchBarInput.oninput = function(){
        if(this.value.length){
            searchBarClearBtn.style.display = 'block';
            searchBarBtn.classList.add("aui-text-primary");
            searchBarBtn.textContent = "搜索";
        }else{
            searchBarClearBtn.style.display = 'none';
            searchBarBtn.classList.remove("aui-text-info");
            searchBarBtn.textContent = "取消";
        }
    }
}
searchBarClearBtn.onclick = function(){
    this.style.display = 'none';
    searchBarInput.value = '';
    searchBarBtn.classList.remove("aui-text-info");
    searchBarBtn.textContent = "取消";
}
searchBarBtn.onclick = function(){
    var keywords = searchBarInput.value;
    if(keywords.length){
        searchBarInput.blur();
        //console.log(keywords);
        var jsfun = 'searchfun(\''+keywords+'\')';
        api.execScript({
            frameName: 'frm_search',
            script: jsfun
        });
    }else{
        this.style.marginRight = "-"+this.offsetWidth+"px";
        searchBarInput.value = '';
        searchBarInput.blur();
    }
}
