apiready = function() {
    api.parseTapmode();
    var header = $api.dom('header'); // 获取 header 标签元素
    var headerH = $api.fixStatusBar(header);

    $api.addEvt($api.byId('back'), 'click', function() {
        api.closeWin();
    });

    var appVersion = api.appVersion;
    $api.html($api.byId('appVersion'),'V'+appVersion);

    api.getCacheSize(function(ret) {
        var size = ret.size;
        size = changeSize(size);
        $api.html($api.byId('cacheSize'),size);
    });
}

function clearCache(){
  api.confirm({
        title: '温馨提示',
        msg: '您确定要清除缓存吗？',
        buttons: ['确定', '取消']
    }, function(ret, err) {
        var index = ret.buttonIndex;
        if(index==1){
          api.clearCache(function() {
              showTipMsg('清除完成');
              $api.html($api.byId('cacheSize'),'');
          });
        }
    })
}

function openContact(){
   fOpenWin('win_set_contact');
}

function openFeedback(){
  fOpenWin('win_set_feedback');
}
