var title = '',description = '',thumb='',contentUrl='',sharebox='',
apiready = function() {
    api.parseTapmode();
    console.log(JSON.stringify(api.pageParam));

    title = api.pageParam.title ? api.pageParam.title : '';
    description = api.pageParam.desc ? api.pageParam.desc : title;
    thumb = api.pageParam.thumb ? api.pageParam.thumb :'';
    contentUrl=api.pageParam.shareUrl ? api.pageParam.shareUrl :'';

    if (api.systemType == 'ios') {
      sharebox = new auiShareboxIos();
    }else{
      sharebox = new auiSharebox();
    }

    sharebox.init({
        frameBounces: true, //当前页面是否弹动，（主要针对安卓端）
        buttons: [{
            image: '../image/share/wx.png',
            text: '微信好友',
            value: 'wx' //可选
        }, {
            image: '../image/share/wx-circle.png',
            text: '朋友圈',
            value: 'wx-circle'
        }, {
            image: '../image/share/qq.png',
            text: 'QQ好友',
            value: 'qq'
        }, {
            image: '../image/share/qzone.png',
            text: 'QQ空间',
            value: 'qq-qzone'
        }],
        col: 4,
        cancelTitle: '关闭' //可选,当然也可以采用下面的方式使用图标
    }, function(ret) {
        if (ret) {
          //console.log(JSON.stringify(ret));
          if(ret.buttonIndex == 1){//TODO 微信
              share_wxsession();
          }else if (ret.buttonIndex == 2) {//TODO 朋友圈
              share_wxtimeline();
          }else if (ret.buttonIndex == 3) {//TODO QQ好友
              share_QFriend();
          }else if (ret.buttonIndex == 4) {//TODO QQ空间
             share_QZone();
          }
        }
    })
};




function share_wxsession(){
   var wxPlus = api.require('wx');
   thumb = 'widget://image/191logo.png';
   wxPlus.shareWebpage({
       apiKey: '',
       scene: 'session',
       title: title,
       description: description,
       thumb: thumb,
       contentUrl: contentUrl
   }, function(ret, err) {
       if (ret.status) {
           //alert('分享成功');
           showTipMsg('分享成功');
       } else {
           //					alert('分享失败'+err.code);
       }
   });
}


function share_wxtimeline(){
  var wxPlus = api.require('wx');
  thumb = 'widget://image/191logo.png';
  wxPlus.shareWebpage({
      apiKey: '',
      scene: 'timeline',
      title: title,
      description: description,
      thumb: thumb,
      contentUrl: contentUrl
  }, function(ret, err) {
      if (ret.status) {
          //alert('分享成功');
          showTipMsg('分享成功');
      } else {
          //					alert('分享失败'+err.code);
      }
  });
}

//TODO 要分享的新闻缩略图的url（网络/本地资源图片）Android平台只支持网络图片
function share_QFriend() {
  var qq = api.require('qq');
  thumb = 'https://app.191.cn/static/images/191logo.png';
  qq.shareNews({
      url: contentUrl,
      title: title,
      description: description,
      imgUrl: thumb,
      type:'QFriend'
  },function(ret,err){
    if (ret.status){
      alert("分享成功！");
    } else {
      // api.alert({msg: JSON.stringify(err)});
    }
  });
}

function share_QZone() {
  var qq = api.require('qq');
  thumb = 'https://app.191.cn/static/images/191logo.png';
  qq.shareNews({
      url: contentUrl,
      title: title,
      description: description,
      imgUrl: thumb
  },function(ret,err){
    if (ret.status){
       alert("分享成功！");
    } else {
      //  api.alert({msg: JSON.stringify(err)});
    }
  });
}
