(function ($) {    
	$.AUDIO = function()
	{
		var _this = this;
		
		this.formatSec = function()
		{
			$(".audio_player em").each(function()
			{
				var html = parseInt($(this).html());
				$(this).html(commonObj.formentSec(html));
			});
		}
		
		this.init = function()
		{
			$(".audio_player").live('click',function(event)
			{
				var netAudio = api.require('netAudio');
				var voice_url = $(this).attr("voice_url");
				var flag = _this.getStat($(this));
				var el = $(this);
				if(flag==0)
				{
					_this.changeStat($(this),1);
					netAudio.play({
				    	path: voice_url
					}, function(ret, err){
					    if( ret ){
					    	if(ret.complete==true)
					    	{
					    		_this.changeStat(el,0);
					    	}
					    }
					});
				}
				else
				{
					_this.changeStat($(this),0);
					netAudio.stop();
				}
	        	event.stopPropagation();
			});
		};
		
		this.getStat = function(el)
		{
			return el.attr("voice_flag");
		}
		
		this.changeStat = function(el,flag)
		{
			el.attr("voice_flag",flag);
			if(flag==0)
			{
				el.find('span').removeClass("aui-hide");
				el.find('em').removeClass("aui-hide");
				el.find('i').addClass("aui-hide");
			}
			else
			{
				el.find('i').removeClass("aui-hide");
				el.find('span').addClass("aui-hide");
				el.find('em').addClass("aui-hide");
			}
		}
	}
})(jQuery);
var audioObj = new $.AUDIO();
audioObj.init();