var id='',_detail=[],page=0,_noMore=0;
apiready = function() {
    api.parseTapmode();
    var header = $api.dom('header'); // 获取 header 标签元素
    var headerH = $api.fixStatusBar(header);
    id = api.pageParam.id;

    api.addEventListener({
        name: 'answer-publish-success'
    }, function(ret, err){
        render();
    });

    api.addEventListener({
        name: 'user-login-succ'
    }, function(ret, err){
        render();
    });


    // getAskTeacherInfo();
    render();
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉
}

function render(){
  getAskDetail();
  _noMore = 0;
  page = 1;
  getAnswerList();
}

function getAskDetail(){
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var params = {};
  params.id = id;
  ajaxRequest(API_URL.askDetail, 'post', params, function(ret, err) {
      if (ret.status == 0) {
          _detail = ret.data;
          console.log(JSON.stringify(_detail))
          askDetailCallback(_detail);
          fixCallback(_detail);
          api.sendEvent({
              name: 'list-data-reload',
          });
      } else {
          showTipMsg(ret.msg);
      }
  });
}

function askDetailCallback(data){
  var content = $api.byId('ask-item');
  var tpl = $api.byId('ask-item-template').text;
  var tempFn = doT.template(tpl);
  $api.html(content, tempFn(data));

  $("#ask-item .article-content img").unbind('click').click(function(event) {
      onImgClick($("#ask-item .article-content"), $(this));
      event.stopPropagation();
  });

}

function onDivImgClick(parent, el) {
    var parents = el.parents(".imgboxs");
    var images = [];
    var index = 0;
    var i = 0;
    parents.find("div").each(function() {
        if (el.attr("data-url") == $(this).attr("data-url")) {
            index = i;
        }
        images.push($(this).attr("data-url"));
        i++;
    });
    photoBrowser(images,index);
};

function onImgClick(parent, el) {
    var images = [];
    var index = 0;
    var i = 0;
    parent.find("img").each(function() {
        if (el.attr("src") == $(this).attr("src")) {
            index = i;
        }
        images.push($(this).attr("src"));
        i++;
    });
    photoBrowser(images,index);
};

function setRefreshHeader(){
  api.setRefreshHeaderInfo({
      visible: true,
      bgColor: '#f5f5f5',
      textColor: '#999',
      textDown: '下拉刷新...',
      textUp: '松开刷新...',
      showTime: true
  }, function(ret, err) {
      render();
      api.refreshHeaderLoadDone();
  });
}

function setScrollBottom(){
  api.addEventListener({
      name: 'scrolltobottom'
  }, function(ret, err) {
      if(!_noMore){
        page++;
        getAnswerList();
      }else{
        return false;
      }
  });
}

function getAnswerList(){
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var params = {};
  params.id = id;
  params.page = page;
  ajaxRequest(API_URL.askDetailAnswerList, 'post', params, function(ret, err) {
      if (ret.status == 0) {
          // _detail = ret.data;
          var answerList = ret.data.rows;
          if(page >= ret.data.pageCount){
            _noMore = 1;
            if(page > 1 || answerList.length > 0){
              $api.removeCls($api.byId("L_bottom"), 'aui-hidden');
            }
          }else{
            if(!$api.hasCls($api.byId("L_bottom"), 'aui-hidden')){
              $api.addCls($api.byId("L_bottom"), 'aui-hidden');
            }
          }
          for(var prop in answerList){
            answerList[prop].is_my = _detail.uid == answerList[prop].uid ? 1 : 2;
            answerList[prop].is_invite_teacher = _detail.invite_teacher_id == answerList[prop].uid && _detail.invite_teacher_id > 0 && answerList[prop].is_teacher ? 1 : 2;
            answerList[prop].is_author = _detail.is_author;
          }
          //console.log(JSON.stringify(answerList));
          answerListCallback(ret.data.rows);
      } else {
          showTipMsg(ret.msg);
      }
  });

}

function answerListCallback(data){
  var content = $api.byId('answer-item');
  var tpl = $api.byId('answer-item-template').text;
  var tempFn = doT.template(tpl);
  if (page == 1) {
      $api.html(content, "");
      $api.html(content, tempFn(data));
  } else {
      $api.append(content, tempFn(data));
  }
  $("#answer-item .imgboxs div").unbind('click').click(function(event) {
      onDivImgClick($("#answer-item .imgboxs"), $(this));
      event.stopPropagation();
  });
}

function fixCallback(data){
  var content = $api.byId('fixbtn');
  var tpl = $api.byId('fixbtn-template').text;
  var tempFn = doT.template(tpl);
  $api.html(content, tempFn(data));
}

function askAdopt(obj){
  var asid = $api.attr(obj,'data-id');
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var parents = $api.closest(obj, "div.aui-card-list");

  var params = {};
  params.asid = asid;
  params.id = id;
  ajaxRequest(API_URL.answerAdopt, 'post', params, function(ret, err) {
      if (ret.status == 0) {
        $api.addCls(obj, 'aui-hidden');
        $api.removeCls($api.dom(parents,"div.caina"), 'aui-hidden');
      }else if(ret.status == -1){
          showTipMsg(ret.msg);
          fOpenWin('login');
      } else {
          showTipMsg(ret.msg);
      }
  });
}
