var id='',_detail=[],page=0,_noMore=0;
apiready = function() {
    api.parseTapmode();
    var header = $api.dom('header'); // 获取 header 标签元素
    var headerH = $api.fixStatusBar(header);
    id = api.pageParam.id;

    // getAskTeacherInfo();
    render();
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉
}

function render(){
  getTeacherDetail();
  _noMore = 0;
  page = 1;
  getAskTeacherArticleList();
}

function getTeacherDetail(){
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var params = {};
  params.tid = id;
  ajaxRequest(API_URL.getAskTeacherInfo, 'post', params, function(ret, err) {
      if (ret.status == 0) {
          _detail = ret.data;
          //console.log(JSON.stringify(_detail));
          teacherDetailCallback(_detail);
      } else {
          showTipMsg(ret.msg);
      }
  });
}

function teacherDetailCallback(data){
  var content = $api.byId('teacher-detail');
  var tpl = $api.byId('teacher-detail-template').text;
  var tempFn = doT.template(tpl);
  $api.html(content, tempFn(data));
}

function setRefreshHeader(){
  api.setRefreshHeaderInfo({
      visible: true,
      bgColor: '#f5f5f5',
      textColor: '#999',
      textDown: '下拉刷新...',
      textUp: '松开刷新...',
      showTime: true
  }, function(ret, err) {
      render();
      api.refreshHeaderLoadDone();
  });
}

function setScrollBottom(){
  api.addEventListener({
      name: 'scrolltobottom'
  }, function(ret, err) {
      if(!_noMore){
        page++;
        getAskTeacherArticleList();
      }else{
        return false;
      }
  });
}

function getAskTeacherArticleList(){
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var params = {};
  params.tid = id;
  params.page = page;
  ajaxRequest(API_URL.getAskTeacherArticleList, 'post', params, function(ret, err) {
      if (ret.status == 0) {
          // _detail = ret.data;
          var articleList = ret.data.rows;
          if(page >= ret.data.pageCount){
            _noMore = 1;
            if(page > 1 || (page == 1 && articleList.length > 0)){
              $api.removeCls($api.byId("L_bottom"), 'aui-hidden');
            }
          }else{
            if(!$api.hasCls($api.byId("L_bottom"), 'aui-hidden')){
              $api.addCls($api.byId("L_bottom"), 'aui-hidden');
            }
          }
          articleListCallback(articleList);
      } else {
          showTipMsg(ret.msg);
      }
  });

}

function articleListCallback(data){
  var content = $api.byId('article-list');
  var tpl = $api.byId('article-list-template').text;
  var tempFn = doT.template(tpl);
  if (page == 1) {
      $api.html(content, "");
      $api.html(content, tempFn(data));
  } else {
      $api.append(content, tempFn(data));
  }
}



function askTeacher(){
  fOpenWin('win_ask_question',{tid:id})
}

function doUserFollow(){
  api.showProgress({
      style: 'default',
      animationType: 'fade',
      title: '加载中',
      modal: false
  });
  var params = {};
  params.follow_id = _detail.t_uid;
  ajaxRequest(API_URL.doUserFollow, 'post', params, function(ret, err) {
      if (ret.status == 0) {
          var _status=ret.data.status
          if(_status==1){
            $('#btn_follow').text('取消关注');
            $('#btn_follow').removeClass('aui-btn-outlined');
          }else{
            $('#btn_follow').text('关注');
            $('#btn_follow').addClass('aui-btn-outlined');
          }
          api.sendEvent({
              name: 'do_user_follow',
              extra: {}
          });
      } else if(ret.status==-1){
        showTipMsg(ret.msg);
        fOpenWin('login');
      }else {
          showTipMsg(ret.msg);
      }
  });
}
