var page = 1,
    is_more = 1;
apiready = function() {
    api.parseTapmode();
    render();
    setScrollBottom(); //底部拉

    api.addEventListener({
        name: 'do_user_follow'
    }, function(ret, err) {
        render()
    });
}

function render() {
    page=1;
    is_more=1;
    getMyFollowMain();
}

function getMyFollowMain() {
    var connectionType = api.connectionType;
    if (connectionType == 'none') {
        api.toast({
            msg: '啊噢，网速不给力~',
            location: 'middle'
        });
        return;
    }
    var params = {};
    params.page = page;
    ajaxRequest(API_URL.getUserFollowMain, 'post', params, function(ret, err) {
        if (ret.status == 0) {
            var pageList = ret.data;
            if (pageList.currentCount) {
                renderMain(pageList.rows);
                getMyFollowPublish();
            } else {
                $('.div_do_follow').hide();
            }
            if (pageList.count == 0) {
                $('#div_none').show();
                is_more = 0;
            }
        } else {
            showTipMsg(ret.msg);
        }
    });
}

function renderMain(data) {
    var content = $api.byId('user_list');
    var tpl = $api.byId('user_list-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content, tempFn(data));
}

function getMyFollowPublish() {
    if (!is_more) {
        return
    }
    var connectionType = api.connectionType;
    if (connectionType == 'none') {
        api.toast({
            msg: '啊噢，网速不给力~',
            location: 'middle'
        });
        return;
    }
    var params = {};
    params.page = page;
    ajaxRequest(API_URL.getUserFollowPublishPage, 'post', params, function(ret, err) {
        if (ret.status == 0) {
            var pageList = ret.data;
            if (pageList.count == 0) {
                $('#div_no_data').show();
                is_more = 0;
            }else if(page>=pageList.pageCount){
              $('#div_no_more').show();
              is_more = 0;
            }
            if (pageList.currentCount) {
                renderPage(pageList.rows);
                page++;
            }
        } else {
            showTipMsg(ret.msg);
        }
    });
}

function renderPage(data) {
    var content = $api.byId('content_list');
    var tpl = $api.byId('content_list-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
        $api.html(content, tempFn(data));
    } else {
        $api.append(content, tempFn(data));
    }
}

function doCancleFollow(user_id) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '加载中',
        modal: false
    });
    var params = {};
    params.follow_id = user_id;
    ajaxRequest(API_URL.doUserFollow, 'post', params, function(ret, err) {
        if (ret.status == 0) {
            var _status = ret.data.status
            if (_status == 0) {
                $('#li_' + user_id).hide()
            }
            api.sendEvent({
                name: 'do_user_follow',
                extra: {}
            });
        } else if (ret.status == -1) {
            showTipMsg(ret.msg);
            fOpenWin('login');
        } else {
            showTipMsg(ret.msg);
        }
    });
}

function doUserDetail(teacher_id, user_id) {
    if (teacher_id > 0) {
        fOpenWin('win_ask_teacher', {
            id: teacher_id
        })
    } else {
      fOpenWin('win_common_user', {
          id: user_id
      })
    }
}

function doContentDetail(type, relation_id, title) {
    if (type == 1) { //帖子
        fOpenWin('win_thread',{'tid':relation_id,'title':title})
    } else if (type == 2) { //问答
        fOpenWin('win_ask_detail',{id:relation_id,title:title})
    }
}

function setScrollBottom() { //底部拉
    api.addEventListener({
        name: 'scrolltobottom'
    }, function(ret, err) {
        getMyFollowPublish();
    });
}
