var sendFlag = 0,
    apiready = function() {
        api.parseTapmode();
        var header = $api.dom('header'); // 获取 header 标签元素
        var headerH = $api.fixStatusBar(header);
        var header_h = $api.offset($api.dom('header')).h;

        $api.addEvt($api.byId('back'), 'click', function() {
            api.closeWin();
        });

        $api.addEvt($api.byId('send_btn'), 'click', function() {
            if (sendFlag == 0) {
                doSendFeekback();
            }

        });
    }

function doPublish() {
    sendFlag = 1;
    var content = $api.val($api.byId('content'));
    content = $api.trimAll(content);
    if (content == '') {
        sendFlag = 0;
        showTipMsg('反馈内容不能为空');
        return false;
    }

    var connectionType = api.connectionType;
    if (connectionType == 'none') {
        sendFlag = 0;
        showTipMsg('啊噢，网络故障~');
        return false;
    }
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '加载中',
        modal: false
    });
    var params = {};
    params.msg = content;
    params.phone = $('#phone').val();
    ajaxRequest(API_URL.doSendSuggest, 'post', params, function(ret, err) {
        sendFlag = 0;
        if (ret.status == 0) {
            api.confirm({
                title: '提示',
                msg: "反馈提交成功，感谢您的宝贵意见",
                buttons: ['确定']
            }, function(ret, err) {
                api.closeWin();
            })
        } else {
            showTipMsg(ret.msg);
        }
    });
}
