var id=0,page=1;
apiready = function() {
    api.parseTapmode();
    id = api.pageParam.id;
    render();
    setRefreshHeader();
    setScrollBottom();
}

function render(){
   getTopicDetail();
   getTopicThreadList();
}

//TODO 获取专题详情
function getTopicDetail(){
  var connectionType = api.connectionType;
  if (connectionType == 'none') {
      api.toast({msg: '啊噢，网速不给力~', location: 'middle'});
      return;
  }
  var params = {};
  params.special_id = id;
  ajaxRequest(API_URL.getTopicDetail, 'post',params, function (ret, err) {
      if (ret.status == 0) {
          var data = ret.data;
          var topic_info = data.topic_info;
          if(topic_info){
            topicInfoCallBack(topic_info);
          }else{
            showTipMsg("专题不存在");
          }
      } else {
          showTipMsg(ret.msg);
      }
  });
}

function topicInfoCallBack(data){
  var content = $api.byId('topic-info');
  var tpl = $api.byId('topic-info-template').text;
  var tempFn = doT.template(tpl);
  $api.html(content, tempFn(data));
}

//TODO 获取专题帖子列表
function getTopicThreadList(){
  var connectionType = api.connectionType;
  if (connectionType == 'none') {
      api.toast({msg: '啊噢，网速不给力~', location: 'middle'});
      return;
  }
  var params = {};
  params.special_id = id;
  params.page = page;
  ajaxRequest(API_URL.getTopicThreadList, 'post',params, function (ret, err) {
    if (ret.status == 0) {
        var data = ret.data;
        var list = data.list.rows;
        if(list.length>0){
          renderList(list);
        }else{
          $api.removeCls($api.byId('bottomtips'),'aui-hide');
        }
    } else {
        showTipMsg(ret.msg);
    }
  });
}

function renderList(data) {
    var content = $api.byId('list-content');
    var tpl = $api.byId('list-content-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
        $api.html(content, "");
        $api.html(content, tempFn(data));
        if(data.length<10){
          $api.removeCls($api.byId('bottomtips'),'aui-hide');
        }
    } else {
        $api.append(content, tempFn(data));
    }

}



function setRefreshHeader(){
  api.setRefreshHeaderInfo({
      visible: true,
      bgColor: '#ccc',
      textColor: '#fff',
      textDown: '下拉刷新...',
      textUp: '松开刷新...',
      showTime: true
  }, function(ret, err) {
      page = 1;
      getTopicThreadList();
      api.refreshHeaderLoadDone();
  });
}

function setScrollBottom(){
  api.addEventListener({
      name: 'scrolltobottom'
  }, function(ret, err) {
    page++;
    getTopicThreadList();
  });
}
