var body_h, footer_h, header_h, frame_index = -1,
    tab_click_index = 0;
var NVTabBar;
apiready = function() {
    api.parseTapmode();
    var header = $api.dom('header'); // 获取 header 标签元素
    //var footer = $api.dom('footer'); // 获取 footer 标签元素
    var headerH = $api.fixStatusBar(header);
    //var footerH = $api.fixTabBar(footer);

    openNavTabWin();
    //loadTabbar();

    api.addEventListener({
        name: 'resume'
    }, function(ret, err) {
        doClipBoard()
    });
};

function loadTabbar() {
    api.setStatusBarStyle({
        style: 'dark',
        color: '#ffffff'
    });
    var headerPos = $api.offset($api.dom('header'));
    var body_h = api.winHeight;
    var footer_h = 60;
    api.openFrameGroup({
        name: 'footer_tab',
        scrollEnabled: false,
        rect: {
            x: 0,
            y: headerPos.h - 1,
            w: 'auto',
            h: parseInt(body_h - headerPos.h - footer_h) + 1
        },
        index: 0,
        preload: 0,
        reload: true,
        frames: [{
            name: 'tab_frm_1',
            url: './frm_recommend.html',
            bounces: false,
            allowEdit: true
        }, {
            name: 'tab_frm_2',
            url: './ask.html',
            bounces: false,
            allowEdit: false
        }, {
            name: 'tab_frm_2',
            url: './ask.html',
            bounces: false,
            allowEdit: false
        }, {
            name: 'tab_frm_3',
            url: './frm_follows.html',
            bounces: false,
            allowEdit: true
        }, {
            name: 'tab_frm_4',
            url: './frm_ucenter.html',
            bounces: false,
            allowEdit: false
        }]
    }, function(ret, err) {});

    NVTabBar = api.require('NVTabBar');
    NVTabBar.open({
        styles: {
            bg: '#fff',
            h: footer_h,
            dividingLine: {
                width: 0,
                color: '#000'
            },
            badge: {

            }
        },
        items: [{
            w: api.winWidth / 5.0,
            iconRect: {
                w: 25.0,
                h: 25.0,
            },
            icon: {
                normal: 'widget://image/tabicon1.png',
                selected: 'widget://image/tabicon1-on.png'
            },
            title: {
                text: '推荐',
                size: 12.0,
                normal: '#999',
                selected: '#666',
                marginB: 6.0
            }
        }, {
            w: api.winWidth / 5.0,
            iconRect: {
                w: 25.0,
                h: 25.0,
            },
            icon: {
                normal: 'widget://image/tabicon2.png',
                selected: 'widget://image/tabicon2-on.png'
            },
            title: {
                text: '问答',
                size: 12.0,
                normal: '#999',
                selected: '#666',
                marginB: 6.0
            }
        }, {
            w: api.winWidth / 5.0,
            iconRect: {
                w: 25.0,
                h: 25.0,
            },
            icon: {
                normal: 'widget://image/tabicon5.png',
                selected: 'widget://image/tabicon5-on.png'
            },
            title: {
                text: '秀园子',
                size: 12.0,
                normal: '#5fad23',
                selected: '#5fad23',
                marginB: 6.0
            }
        }, {
            w: api.winWidth / 5.0,
            iconRect: {
                w: 25.0,
                h: 25.0,
            },
            icon: {
                normal: 'widget://image/tabicon3.png',
                selected: 'widget://image/tabicon3-on.png'
            },
            title: {
                text: '论坛',
                size: 12.0,
                normal: '#999',
                selected: '#666',
                marginB: 6.0
            }
        }, {
            w: api.winWidth / 5.0,
            iconRect: {
                w: 25.0,
                h: 25.0,
            },
            icon: {
                normal: 'widget://image/tabicon4.png',
                selected: 'widget://image/tabicon4-on.png'
            },
            title: {
                text: '我的',
                size: 12.0,
                normal: '#999',
                selected: '#666',
                marginB: 6.0
            }
        }],
        selectedIndex: 0
    }, function(ret, err) {
        if (ret && ret.eventType == "click") {
            if (tab_click_index == ret.index) {
                return;
            }
            tab_click_index = ret.index
            randomSwitchBtn(ret.index)
        } else if (ret && ret.eventType == "show") {
            randomSwitchBtn(0)
        }
    });
}

function randomSwitchBtn(cur_index) {
    api.setFrameGroupIndex({
        name: 'footer_tab',
        index: cur_index,
        reload: true
    });
    return
}

function openNavTabWin() {
    var param = {
        name: 'nav-tab',
        title: 'nav-tab',
        bgColor: '#fff',
        slidBackEnabled: false,
        scrollEnabled: false,
        navigationBar: {
            hideBackButton: true
        },
        tabBar: {
            animated: false,
            color: '#999',
            selectedColor: '#666',
            fontSize: 12,
            scrollEnabled: false,
            list: [{
                text: "推荐",
                iconPath: "widget://image/tabicon1.png",
                selectedIconPath: "widget://image/tabicon1-on.png"
            }, {
                text: "问答",
                iconPath: "widget://image/tabicon2.png",
                selectedIconPath: "widget://image/tabicon2-on.png"
            // }, {
            //     selectedTitleColor: "#fff",
            //     color: "#333",
            //     text: "秀园子",
            //     iconPath: "widget://image/tabicon5.png",
            //     selectedIconPath: "widget://image/tabicon5-on.png",
            }, {
                text: "论坛",
                iconPath: "widget://image/tabicon3.png",
                selectedIconPath: "widget://image/tabicon3-on.png"
            }, {
                text: "我的",
                iconPath: "widget://image/tabicon4.png",
                selectedIconPath: "widget://image/tabicon4-on.png"
            }],
            frames: [{
                title: "191农资人",
                name: "tab_frm_1",
                url: "widget://html/frm_recommend.html"
            }, {
                title: "问答",
                name: "tab_frm_2",
                url: "widget://html/ask.html"
            // }, {
            //     title: "秀园子",
            //     name: "tab_frm_2",
            //     url: "widget://html/ask.html"
            }, {
                title: "论坛",
                name: "tab_frm_3",
                url: "widget://html/frm_follows.html",
                overScrollMode: "never",
                bounces: false
            }, {
                title: "我的",
                name: "tab_frm_4",
                url: "widget://html/frm_ucenter.html"
            }]
        }
    }
    api.openTabLayout(param, function(ret) {
        console.log(JSON.stringify(ret));
    });

}



function updateAPP() {
    var params = {};
    var token = $api.getStorage('token');
    if (typeof(token) != 'undefined') {
        params.token = token;
        var timestamp = parseInt(new Date().getTime() / 1000);
        var nonce = random(0, 100);
        params.timestamp = timestamp;
        params.nonce = nonce;
        var str = getSign(token, timestamp, nonce);
        var signstr = hex_md5(str);
        params.sign = signstr;
    } else {
        showTipMsg("授权失败");
        return false;
    }
    params.version = api.appVersion;
    params.sys = api.systemType;
    ajaxRequest(API_URL.doUpdateVersion, 'post', params, function(ret, err) {
        if (ret.code == 200) {
            var result = ret.data;
            if (result.status == 2) {
                return;
            }
            if (!result.source) {
                return;
            }
            var str = '\n新版本型号：' + result.version + '\r\n\r\n功能更新：\r\n' + result.updateTip + '\r\n\r\n发布时间：' + result.time + '\r\n';
            api.confirm({
                title: '发现新版本 ',
                msg: str,
                buttons: ['升级', '取消']
            }, function(ret, err) {
                if (ret.buttonIndex == 1) {
                    //confirmPer('storage');
                    if (api.systemType == "android") {
                        api.requestPermission({
                            list: ['storage']
                        }, function(ret, err) {
                            api.download({
                                url: result.source,
                                report: true
                            }, function(ret, err) {
                                if (ret && 0 == ret.state) { /* 下载进度 */
                                    api.toast({
                                        msg: "正在下载应用" + ret.percent + "%",
                                        duration: 2000
                                    });
                                }
                                if (ret && 1 == ret.state) { /* 下载完成 */
                                    var savePath = ret.savePath;
                                    api.installApp({
                                        appUri: savePath
                                    });
                                }
                            });
                        })
                    }
                    if (api.systemType == "ios") {
                        api.installApp({
                            appUri: result.source
                        });
                    }
                }
            });
        }
    });
}
