var tid = 0,
    title = '',
    desc = '';
apiready = function() {
    api.parseTapmode();
    var header = $api.dom('header'); // 获取 header 标签元素
    $api.fixStatusBar(header);
    var headerPos = $api.offset(header);

    api.addEventListener({
        name: 'thread_reload'
    }, function(ret, err) {
      setTimeout(function(){
        loadFrame(ret.value.tid,ret.value.title,headerPos);
      },300)

    });

    api.addEventListener({
        name: 'thread_not_exists'
    }, function(ret, err) {
      var UIChatBox = api.require('UIChatBox');
      UIChatBox.close();
      $('.aui-pull-right').hide();
    });

    var title=api.pageParam.title
    if (title) {
        $api.html($api.byId('title'), title);
    }
    loadFrame(api.pageParam.tid,title,headerPos);


    $api.addEvt($api.byId('back'), 'click', function() {
        api.closeWin();
    });
    if (api.systemType == 'ios') {
        initInputBox_ios();
    } else {
        initInputBox();
    }

    api.addEventListener({
        name: 'hide-keyboard'
    }, function(ret, err){
      var UIChatBox = api.require('UIChatBox');
      UIChatBox.closeKeyboard();
    });

    chatBoxObj.addEventListener({
        target: 'inputBar',
        name: 'move'
    }, function(ret, err) {
        setFrameAttrs(ret);
    });
}

function loadFrame(_tid,_title,headerPos){
  tid = _tid
  title = _title;

  api.openFrame({
      name: 'frm_thread',
      url: 'frm_thread.html',
      // useWKWebView: true,
      pageParam: {
          headerPos: headerPos,
          tid: tid
      },
      bounces: true,
      rect: {
          x: 0,
          y: headerPos.h,
          w: headerPos.w,
          h: 'auto'
      }
  });
}

//输入框面板
function initInputBox() {
    chatBoxObj = api.require('UIChatBox');
    chatBoxObj.open({
        placeholder: '写评论',
        maxRows: 4,
        fixedon: api.Framename,
        texts: {
            sendBtn: {
                title: '发送'
            }
        },
        styles: {
            topDivider: { //(可选项)顶部分割线配置
                width: 5, //(可选项)顶部分割线的粗细，默认：0
                color: '#f2f2f2' //(可选项)顶部分割线的颜色；默认：#000 ;支持图片设置(fs:// & widget://)
            },
            inputBar: {
                borderColor: '#dcdcdc',
                bgColor: '#f2f2f2',

            },
            inputBox: {
                borderColor: '#dcdcdc',
                bgColor: '#FFFFFF',
                topMargin: 0,
            },
            keyboardBtn: {
                normalImg: 'widget://image/chatBox/key1.png'
            },
            sendBtn: {
                bg: '#4cc518',
                titleColor: '#fff',
                activeBg: '#5fad23',
            },
        }
    }, function(ret) {
        //点击发送按钮
        if (ret.eventType == 'send') {
            var jsfun = 'doSubmitComment(\'' + ret.msg + '\');';
            api.execScript({
                frameName: 'frm_thread',
                script: jsfun
            });
        }
    });
}


//输入框面板
function initInputBox_ios() {
    chatBoxObj = api.require('UIChatBox');
    chatBoxObj.open({
        placeholder: '写评论',
        maxRows: 4,
        fixedon: api.Framename,
        texts: {
            sendBtn: {
                title: '发送'
            }
        },
        styles: {
            topDivider: { //(可选项)顶部分割线配置
                width: 5, //(可选项)顶部分割线的粗细，默认：0
                color: '#f2f2f2' //(可选项)顶部分割线的颜色；默认：#000 ;支持图片设置(fs:// & widget://)
            },
            inputBar: {
                borderColor: '#f2f2f2',
                bgColor: '#f2f2f2',

            },
            inputBox: {
                borderColor: '#dcdcdc',
                bgColor: '#FFFFFF',
                topMargin: 5,
            },
            keyboardBtn: {
                normalImg: 'widget://image/chatBox/key1.png'
            },
            sendBtn: {
                bg: '#fff',
                titleColor: '#fff',
                activeBg: '#5fad23',
            },
        }
    }, function(ret) {

        //点击发送按钮
        if (ret.eventType == 'send') {

            var jsfun = 'doSubmitComment(\'' + ret.msg + '\');';
            api.execScript({
                frameName: 'frm_thread',
                script: jsfun
            });
        }
    });
}


function chatBoxPopupKeyboard(msg) {
    chatBoxObj = api.require('UIChatBox');
    chatBoxObj.setPlaceholder({
        placeholder: msg
    });
}

function chatBoxInsertValue(msg){
  chatBoxObj = api.require('UIChatBox');
  chatBoxObj.insertValue({
      'msg': msg
  });
}




function setFrameAttrs(ret) {
    var header = $api.byId('aui-header');
    var headerPos = $api.offset(header);
    var _h = ret.inputBarHeight + ret.panelHeight; // 输入框弹起的高度
    if (_h < 200) { // 判断是输入框弹起还是落下
        setTimeout(function() {
            api.setFrameAttr({
                name: 'frm_thread',
                rect: {
                    x: 0,
                    y: headerPos.h,
                    w: headerPos.w,
                    h: api.winHeight - headerPos.h
                },
            });
        }, 20)
    } else {
        setTimeout(function() {
            api.setFrameAttr({
                name: 'frm_thread',
                marginBottom: _h
            });
        }, 50)
    }
}

function openSharebox() {
    var shareUrl = 'https://www.191.cn/read.php?tid=' + tid;
    var thumb = '';
    openShareBox(title, desc, shareUrl, thumb);
}
